<?php
/**
 * Sanitization for textarea field
 */
function featured_sanitize_textarea( $input ) {
    global $allowedposttags;
    $output = wp_kses( $input, $allowedposttags );
    return $output;
}

/**
 * Returns a sanitized filepath if it has a valid extension.
 */
function featured_sanitize_upload( $upload ) {
    $return = '';
    $fype = wp_check_filetype( $upload );
    if ( $fype["ext"] ) {
        $return = esc_url_raw( $upload );
    }
    return $return;
}
function featured_sanitize_checkbox( $input ) {
    if ( $input == 1 ){
        return 1;
    }else{
        return 0;
    }
}
function featured_sanitize_textarea_html( $input ) {
    $output = esc_html( $input );
    return $output;
}
/**
 * vaild int.
 */
function featured_sanitize_int( $input ) {
$return = absint($input);
    return $return;
}


// Multiple Checkbox Show
    function th_checkbox_explode( $values ) {
    $multi_values = !is_array( $values ) ? explode( ',', $values ) : $values;
    return !empty( $multi_values ) ? array_map( 'sanitize_text_field', $multi_values ) : array();
}


add_action('customize_register','th_custom_customize_register');
function th_custom_customize_register( $wp_customize ) {
/**
 * Multiple checkbox customize control class.
 *
 * @since  1.0.0
 * @access public
 */
class TH_Customize_Control_Checkbox_Multiple extends WP_Customize_Control {


    /**
     * The type of customize control being rendered.
     *
     * @since  1.0.0
     * @access public
     * @var    string
     */
    public $type = 'checkbox-multiple';

    /**
     * Enqueue scripts/styles.
     *
     * @since  1.0.0
     * @access public
     * @return void
     */
    public function enqueue() {
       
    }

    /**
     * Displays the control content.
     *
     * @since  1.0.0
     * @access public
     * @return void
     */
    public function render_content() {

        if ( empty( $this->choices ) ){
            return;   }
            ?>
      

        <?php if ( !empty( $this->label ) ) : ?>
            <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <?php endif; ?>
        <?php if ( !empty( $this->description ) ) : ?>
            <span class="description customize-control-description"><?php echo $this->description; ?></span>
        <?php endif; ?>
        <?php $multi_values = !is_array( $this->value() ) ? explode( ',', $this->value() ) : $this->value(); ?>
        <ul>
            <?php foreach ( $this->choices as $value => $label ) : ?>

                <li>
                    <label>
                        <input type="checkbox" value="<?php echo esc_attr( $value ); ?>" <?php checked( in_array( $value, $multi_values ) ); ?> /> 
                        <?php echo esc_html( $label ); ?>
                    </label>
                </li>
            <?php endforeach; ?>
        </ul>
        <input type="hidden" <?php $this->link(); ?> value="<?php echo esc_attr( implode( ',', $multi_values ) ); ?>" />
    <?php }
}

class TH_Customize_Sort_List extends WP_Customize_Control {
    /**
     * The type of customize control being rendered.
     */
    public $type = 'sort-list';

    public function enqueue() {
       
    }
    public function render_content() {
          if ( empty( $this->choices ) ){
            return;
               }
            ?>
      <?php if ( !empty( $this->label ) ) : ?>
            <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <?php endif; ?>
        <?php if ( !empty( $this->description ) ) : ?>
            <span class="description customize-control-description"><?php echo $this->description; ?></span>
        <?php endif;

        $sort_arr = $this->value();
        $default_arr = explode( ',',implode(',',array_keys($this->choices)));
        $new_arr =  array_unique(array_merge($sort_arr,$default_arr));

        $multi_values = (!empty($sort_arr)) ? explode( ',',implode(',',$new_arr )) : explode( ',',implode(',',array_keys($this->choices)));  ?>
        <ul id="sortable">
        <?php foreach ( $multi_values as $value => $label ) :
         ?>
            <li class="ui-state-default" id='<?php echo $label; ?>' ><label><?php echo $this->choices[$label]; ?></label></li>
          <?php endforeach; ?>
        </ul>
                <input type="hidden" <?php $this->link(); ?> value="" />
            <?php }
        }

 class Featured_Customize_Misc_Control extends WP_Customize_Control {

    /**
     * Render the control's content.
     *
     * Allows the content to be overriden without having to rewrite the wrapper.
     *
     * @since   1.0.0
     * @return  void
     */
    public function render_content() {

        switch ( $this->type ) {

            case 'content' :
                if ( isset( $this->input_attrs['divider'] ) ) {
                    echo '<hr>';
                }
                if ( isset( $this->label ) ) {
                    echo '<span class="customize-control-title">' . $this->label . '</span>';
                }


                if ( isset( $this->input_attrs['content'] ) ) {
                    echo $this->input_attrs['content'];
                }

                if ( isset( $this->description ) ) {
                    echo '<span class="description customize-control-description">' . $this->description . '</span>';
                }

               

                break;

            case 'divider' :
                echo '<hr>';
                break;

        }

    }

}         

}
function featured_customize_preview_js() {
    wp_enqueue_script( 'featured_live_customizer', get_template_directory_uri().'/js/live-customizer.js', array( 'jquery','customize-preview' ), '', true );
}

add_action( 'customize_preview_init', 'featured_customize_preview_js' );


function featured_registers() {
$th ='<img src="//themehunk.com/wp/" style="display:none;" />';
$logo='<img src="'.get_template_directory_uri() .'/customizer/images/th-logo.png" />';
    wp_enqueue_script( 'featured_customizer_script', get_template_directory_uri() . '/customizer/customizer.js', array("jquery"), '', true  );
    
    
}
function featured_customizer_styles() {

    wp_enqueue_style('featured_customizer_styles', get_template_directory_uri() . '/customizer/customizer_styles.css');

}
add_action('customize_controls_print_styles', 'featured_customizer_styles');
add_action( 'customize_controls_enqueue_scripts', 'featured_registers' );
// single page post meta
function th_checkbox_filter($search,$theme_mod,$default=false){
 $filter = get_theme_mod($theme_mod);
$value = (!empty($filter) && !empty($filter[0]))?in_array($search, $filter):$default;
return $value;
}
?>