<?php
     //  =============================
     //  = Default Theme Customizer Settings  =
     //  @ Featured Theme
     //  =============================
/*theme customizer*/
function featured_customize_register( $wp_customize ) {
    // color-picker-added    
require_once( get_template_directory() . '/inc/color-picker/color-picker.php' ); 
$palette = array('rgb(0, 0, 0, 0)',);
 
     //  =============================
     //  = Genral Settings     =
     //  =============================
  
$wp_customize->get_section('title_tagline')->title = esc_html__('General Setting', 'featured');
   $wp_customize->get_section('title_tagline')->priority = 3;
   //Menu Options
    $wp_customize->add_setting('title_disable', array(
        'default'           => 'enable',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('title_disable', array(
        'label'    => __('Display Site Title & Tagline', 'featured'),
        'section'  => 'title_tagline',
        'settings' => 'title_disable',
         'type'       => 'checkbox',
        'choices'    => array(
            'enable' => 'Display Site Title & Tagline',
        ),
    ));
 //=============================
//= Theme option =
//=============================
$wp_customize->add_panel( 'theme_optn', array(
    'priority'       => 3,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Theme Option', 'featured'),
    'description'    => '',
) );
$wp_customize->add_section('global_set', array(
        'title'    => __('Global Setting', 'featured'),
        'priority' => 1,
        'panel'  => 'theme_optn',
));
// Disable Sticky Header
        $wp_customize->add_setting( 'featured_sticky_header_disable',
                array(
                'sanitize_callback' => 'featured_sanitize_checkbox',
                'default'  => '',
                )
        );
        $wp_customize->add_control( 'featured_sticky_header_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable Fixed Header?', 'featured'),
                    'section'     => 'global_set',
                    'description' => esc_html__('Check here to disable Fixed header and activate Normal header.', 'featured')
                )
            );
// Disable Animation
            $wp_customize->add_setting( 'featured_animation_disable',
                array(
                    'sanitize_callback' => 'featured_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'featured_animation_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Disable animation effect?', 'featured'),
                    'section'     => 'global_set',
                    'description' => esc_html__('Check here to disable homepage section animation.', 'featured')
                )
            );
 // Disable back to top button
            $wp_customize->add_setting( 'featured_backtotop_disable',
                array(
                    'sanitize_callback' => 'featured_sanitize_checkbox',
                    'default'           => '',
                )
            );
            $wp_customize->add_control( 'featured_backtotop_disable',
                array(
                    'type'        => 'checkbox',
                    'label'       => esc_html__('Hide back to top button ?', 'featured'),
                    'section'     => 'global_set',
                    'description' => esc_html__('Check here to disable Back To Top button.', 'featured')
                )
            ); 
 // loader/on/off option    
$wp_customize->add_setting('_loader_disable', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('_loader_disable', array(
        'settings' => '_loader_disable',
        'label'       => esc_html__('Disable site loader ?', 'featured'),
        'description' => esc_html__('Check here to disable site loader.', 'featured'),
        'section' => 'global_set',
        'type'    => 'checkbox',
    ) );
// site-color
$wp_customize->add_section('site_color', array(
        'title'    => __('Site Color', 'featured'),
        'priority' => 2,
        'panel'  => 'theme_optn',
));
$wp_customize->add_setting('theme_color', array(
        'default'        => '#2aaf8d',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' =>'', 
        
    ));
$wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'theme_color', 
    array(
        'label'      => __( 'Theme Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'theme_color',
    ) ) );
// loader-color  
    $wp_customize->add_setting('site_loader_clr', array(
        'default'        => '#2aaf8d',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => ''
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'site_loader_clr', 
    array(
        'label'      => __( 'Loader Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'site_loader_clr',
    ) ) 
); 

// footer-bg-color
$wp_customize->add_setting('footer_bg_color', array(
        'default'        => '#f8f8f8',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => '', 
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'footer_bg_color', 
    array(
        'label'      => __('Footer Background Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'footer_bg_color',
    ) ) );
$wp_customize->add_setting('footer_txt_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'footer_txt_color', 
    array('label'      => __( 'Footer Widget Text Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'footer_txt_color',
    ) ) 
);  
// footer-info-color
$wp_customize->add_setting('footer_info_bg_color', array(
        'default'        => '#f8f8f8',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => '', 
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'footer_info_bg_color', 
    array(
        'label'      => __( 'Copyright Background Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'footer_info_bg_color',
    ) ) ); 

// copyright-text-color
$wp_customize->add_setting('copyright_txt_color', array(
        'default'        => '#333',
        'capability'     => 'edit_theme_options',
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'copyright_txt_color', 
    array(
        'label'      => __( 'Copyright Text Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'copyright_txt_color',
    ) ) );
//********************************//    
// header-setting
//********************************//      
$wp_customize->add_section('header_setting', array(
        'title'    => __('Header Setting', 'featured'),
        'priority' => 3,
        'panel'  => 'theme_optn',
));
// header layout option
$wp_customize->add_setting('header_layout', array(
        'default'        =>'default',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    ));

    $wp_customize->add_control( 'header_layout', array(
        'settings' => 'header_layout',
        'label'   => __('Header Layout Option','featured'),
        'section' => 'header_setting',
        'type'    => 'radio',
        'choices'    => array(
            'default'        => 'Default Menu',
            'center'        => 'Center Menu',
            'split'      => 'Split Menu',
        ),
    ));
//header transparent
    $wp_customize->add_setting( 'hdr_bg_trnsparent_active',
              array(
            'sanitize_callback' => 'sanitize_text_field',
            'default'           => '1',
                )
            );
    $wp_customize->add_control( 'hdr_bg_trnsparent_active',
                array(
                'type'        => 'checkbox',
                'label'       => esc_html__('Header Transparent','featured'),
                'section'     => 'header_setting',
                'description' => esc_html__('(Only applied for front page template)', 'featured')
                )
            ); 
 // header-visibility   
$wp_customize->add_setting('header_hide', array(
       'default'        => '',
       'capability'     => 'edit_theme_options',
       'sanitize_callback' => 'sanitize_text_field'
   ));
   $wp_customize->add_control( 'header_hide', array(
       'settings' => 'header_hide',
       'label'   => __('Header Visibility','featured'),
       'description' => __('(Check here to hide header until scroll. Work with fixed header only)','featured'),
       'section' => 'header_setting',
       'type'    => 'checkbox',
       'choices'    => array(
       'header-visi'      => 'header-visi',
       ),
   ));
// last-menu-button    
$wp_customize->add_setting( 'last_menu_btn',
              array(
                    'sanitize_callback' => 'sanitize_text_field',
                    'default'           => '',
                )
            );
$wp_customize->add_control( 'last_menu_btn',
                array(
                'type'        => 'checkbox',
                'label'       => esc_html__('Custom Button', 'featured'),
                'description' => esc_html__('(Check here to style last Menu Item as a Custom Button)','featured'),
                'section'     => 'header_setting',
                
                )
            );     
// last-menu-button 
// background-color
$wp_customize->add_setting('hd_bg_color',
        array(
            'default'     => '',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );

$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'hd_bg_color',
            array(
                'label'     => __('Header Background Color','featured'),
                'section'   => 'header_setting',
                'settings'  => 'hd_bg_color',
                'palette'   => $palette
            )
        )
    );
// shrink header bg
$wp_customize->add_setting('shrnk_hd_bg_color',
        array(
            'default'     => '#222',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );

$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'shrnk_hd_bg_color',
            array(
                'label'     => __('Header Shrink Background Color','featured'),
                'section'   => 'header_setting',
                'settings'  => 'shrnk_hd_bg_color',
                'palette'   => $palette
            )
        )
    ); 
// site-title
$wp_customize->add_setting('site_title_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options', 
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'site_title_color', 
    array(
    'label' => __('Site Title Color','featured'),
        'section'    => 'header_setting',
        'settings'   => 'site_title_color',
    ) ) );
 // menu   
$wp_customize->add_setting('hd_menu_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',  
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'hd_menu_color', 
    array(
    'label' => __('Menu Link Color','featured'),
        'section'    => 'header_setting',
        'settings'   => 'hd_menu_color',
    ) ) );
 // hover 
$wp_customize->add_setting('hd_menu_hvr_color', array(
        'default'        => '#2aaf8d',
        'capability'     => 'edit_theme_options',      
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'hd_menu_hvr_color', 
    array(
    'label' => __('Menu Link Hover/Active Color','featured'),
        'section'    => 'header_setting',
        'settings'   => 'hd_menu_hvr_color',
    ) ) );
 
// responsive menu button color 
   $wp_customize->add_setting('mobile_menu_bg_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
     
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'mobile_menu_bg_color', 
    array(
    'label' => __('Responsive Menu Color','featured'),
        'section'    => 'header_setting',
        'settings'   => 'mobile_menu_bg_color',
    ) ) );
 // page-layout-setting
$wp_customize->add_section('page_layout', array(
        'title'    => __('Page Layout Setting', 'featured'),
        'priority' => 4,
        'panel'  => 'theme_optn',
)); 
$wp_customize->add_setting( 'featured_blog_layout',
    array(
              'sanitize_callback' => 'sanitize_text_field',
              'default'           => 'right',
              )
         );
$wp_customize->add_control( 'featured_blog_layout',
        array(
        'type'        => 'select',
        'label'       => esc_html__('Archive Post Layout', 'featured'),
        'description'       => esc_html__('Is applied for post, category, search, archive, tag pages, etc.', 'featured'),
        'section'     => 'page_layout',
        'choices' => array(
        'right' => esc_html__('Right sidebar', 'featured'),
        'left' => esc_html__('Left sidebar', 'featured'),
        'no-sidebar' => esc_html__('No sidebar', 'featured'),
                    )
                )
            ); 
// woo-layout
$wp_customize->add_setting( 'featured_woo_layout',
    array(
              'sanitize_callback' => 'sanitize_text_field',
              'default'           => 'woo-right',
              )
         );
$wp_customize->add_control( 'featured_woo_layout',
        array(
        'type'        => 'select',
        'label'       => esc_html__('woocommerce Pages Layout', 'featured'),
        'description'       => esc_html__('Is applied for shop page, product single page, product archive page', 'featured'),
        'section'     => 'page_layout',
        'choices' => array(
        'right' => esc_html__('Right sidebar', 'featured'),
        'left' => esc_html__('Left sidebar', 'featured'),
        'no-sidebar' => esc_html__('No sidebar', 'featured'),
                    )
                )
            );
// woo-layout                        
// social icon color
$wp_customize->add_setting('footer_social_icon_color', array(
        'default'        => '#444',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => '', 
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'footer_social_icon_color', 
    array(
        'label'      => __( 'Social Icon Color', 'featured' ),
        'section'    => 'site_color',
        'settings'   => 'footer_social_icon_color',
    ) ) );

 // footer   
 $wp_customize->add_section( 'footer_option', array(
         'title'          => __( 'Footer Text', 'featured' ),
         'priority'       => 4,
         'panel'  => 'theme_optn',
    ) );

    $wp_customize->add_setting('copyright_textbox', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('copyright_textbox', array(
        'label'    => __('Footer Text', 'featured'),
        'section'  => 'footer_option',
        'settings' => 'copyright_textbox',
         'type'       => 'textarea',
    ));
    //  =============================
    //  =S8 Social Icon Section      =
    //  =============================

    $wp_customize->add_section( 'social_icon_section', array(
         'title'          => __( 'Social Icon', 'featured' ),
         'priority'       => 5,
         'panel'  => 'theme_optn',
    ) );
    $wp_customize->add_setting('f_link', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('f_link', array(
        'label'    => __('Facebook URL', 'featured'),
        'section'  => 'social_icon_section',
        'settings' => 'f_link',
         'type'       => 'text',
    ));

     $wp_customize->add_setting('t_link', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('t_link', array(
        'label'    => __('Twitter URL', 'featured'),
        'section'  => 'social_icon_section',
        'settings' => 't_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('p_link', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('p_link', array(
        'label'    => __('Pintrest URL', 'featured'),
        'section'  => 'social_icon_section',
        'settings' => 'p_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('g_link', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('g_link', array(
        'label'    => __('Google+ URL', 'featured'),
        'section'  => 'social_icon_section',
        'settings' => 'g_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('l_link', array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control('l_link', array(
        'label'    => __('LinkedIn URL', 'featured'),
        'section'  => 'social_icon_section',
        'settings' => 'l_link',
         'type'       => 'text',
    ));
// page header images 
 $wp_customize->add_section('page_head_img', array(
        'title'    => __('Header Image For Pages', 'featured'),
        'priority' => 20,
         'panel'  => 'theme_optn',
    ));

$wp_customize->add_setting('page_image_upload', array(
        'default'       =>  get_template_directory_uri().'/images/bg.jpg',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'page_image_upload', array(
        'label'    => __('Header Image Upload For Internal Pages', 'featured'),
        'section'  => 'page_head_img',
        'settings' => 'page_image_upload',
 )));
//====================================
//= Section odering and section on/off =
//====================================              
$wp_customize->add_panel( 'section_settings', array(
    'priority'       => 4,
    'capability'     => 'edit_theme_options',
    'title'          => __('Section Setting', 'featured'),
) );

$wp_customize->add_section('section_home_ordering', array(
        'title'    => __('Section Ordering', 'featured'),
        'priority' => 3,
        'panel'    => 'section_settings' 
    ));
    // section ordering
$wp_customize->add_setting('section_sorting', array(
        'default'        =>array('section_ribbon','section_services','section_aboutus',
        'section_blogslider','section_testimonial','section_newsletter','section_team','section_woocommerce','section_price','section_bottom_ribbon','section_brand','section_contact','section_custom','section_portfolio','section_skill','section_counter','section_instagram'),
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'th_checkbox_explode'
    ));
    $wp_customize->add_control(new TH_Customize_Sort_List(
            $wp_customize,'section_sorting', array(
        'settings' => 'section_sorting',
        'label'   => __( 'Section Ordering', 'featured' ),
        'section' => 'section_home_ordering',
        'choices' => array(
                    'section_ribbon'            => __( '1 Ribbon Section',                'featured' ),
                    'section_services'          => __( '2 Our Services Section',         'featured' ),
                    'section_aboutus'           => __( '3 About Us Section',              'featured' ),
                    'section_blogslider'        => __( '4 Blog Section Section',         'featured' ),
                    'section_testimonial'       => __( '5 Testimonial Section',          'featured' ),
                    'section_newsletter'        => __( '6 News Letter  Section',          'featured' ),
                    'section_team'        => __( '7 Team  Section',          'featured' ),
                    'section_woocommerce'        => __( '8 woocommerce  Section',          'featured' ),
                     'section_price'        => __( '9 Price  Section',          'featured' ),
                     'section_bottom_ribbon'        => __( '10 Bottom Ribbon  Section',          'featured' ),
                     'section_brand'         => __( '11 Brand Section',          'featured' ),
                    'section_contact'        => __( '12 Contact Section',          'featured' ),
                    'section_custom'        => __( '13 Custom Section',          'featured' ),
                    'section_portfolio'        => __( '14 Portfolio Section',          'featured' ),
                    'section_skill'        => __( '15 Skill Section',          'featured' ),
                    'section_counter'        => __( '16 Counter Section',          'featured' ),
                    'section_instagram'        => __( '17 Instagram Section',          'featured' ),
            )
        ) 
    )
);
$wp_customize->add_section('section_home_on/off', array(
        'title'    => __('Section On/Off', 'featured'),
        'priority' => 3,
        'panel'    => 'section_settings' 
    ));
       //= Choose Post Meta  =
     $wp_customize->add_setting('section_on_off', array(
        'default'        =>array(),
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'th_checkbox_explode'
    ));
    $wp_customize->add_control(new TH_Customize_Control_Checkbox_Multiple(
            $wp_customize,'section_on_off', array(
        'settings' => 'section_on_off',
        'label'   => __( 'Section On/Off', 'featured' ),
        'section' => 'section_home_on/off',
         'choices' => array(
                    'ribbon'            => __( '1 Ribbon Section',                'featured' ),
                    'services'          => __( '2 Our Services Section',          'featured' ),
                    'aboutus'           => __( '3 About Us Section',              'featured' ),
                    'blogslider'        => __( '4 Blog Section Section',          'featured' ),
                    'testimonial'       => __( '5 Testimonial Section',           'featured' ),
                    'newsletter'        => __( '6 News Letter  Section',          'featured' ),
                    'team'        => __( '7 Team  Section',          'featured' ),
                    'woocommerce'        => __( '8 woocommerce  Section',          'featured' ),

                    'price'        => __( '9 Price  Section',  'featured' ),

                    'bottom-ribbon'        => __( '10 Bottom Ribbon  Section',  'featured' ),
                    'brand'        => __( '11 Brand Section',  'featured' ),
                    'contact'        => __( '12 Contact Section',  'featured' ),
                    'custom-sec'        => __( '13 Custom Section',  'featured' ),
                    'portfolio'        => __( '14 Portfolio Section ',  'featured' ),
                    'skill'        => __( '15 Skill Section ',  'featured' ),
                    'counter'        => __( '16 Counter Section ',  'featured' ),
                    'instagram'        => __( '17 Instagram Section ',  'featured' ),

            )
        ) 
    )
);
        //  ============================= //
        //  S1 = parallax sections  =
        //  ============================= //
 
    // parallax image and video
    $wp_customize->add_section('parallax_image_option', array(
        'title'    => __('Background Setting', 'featured'),
        'priority' => 4,
        
    ));

    $wp_customize->add_setting('parallax_image_video', array(
        'default'           => 'image',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('parallax_image_video', array(
        'label'    => __('Background Options', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'parallax_image_video',
         'type'       => 'radio',
        'choices'    => array(
            'video' => __('Video Background Active','featured'),
            'image' => __('Image Background Active','featured'),
            'slider' => __('Slider Background Active','featured'),
        ),
    ));

// START BACKGROUND SLIDER IMAGE
  
    $wp_customize->add_setting('featured_slider_speed', array(
        'default'           => 3000,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_int'
    ));
    $wp_customize->add_control('featured_slider_speed', array(
        'label'    => __('Slider Speed', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'featured_slider_speed',
         'type'       => 'text',

    ));
//first slider image
    $wp_customize->add_setting('first_slider_image', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'first_slider_image', array(
        'label'    => __('First Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'first_slider_image',
    )));
//Second slider image
    $wp_customize->add_setting('second_slider_image', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'second_slider_image', array(
        'label'    => __('Second Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'second_slider_image',
    )));
//Third slider image

    $wp_customize->add_setting('third_slider_image', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'third_slider_image', array(
        'label'    => __('Third Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'third_slider_image',
    )));
//Fourth slider image
    $wp_customize->add_setting('fourth_slider_image', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'fourth_slider_image', array(
        'label'    => __('Fourth Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'fourth_slider_image',
    )));
//Fifth slider image
    $wp_customize->add_setting('fifth_slider_image', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'fifth_slider_image', array(
        'label'    => __('Fifth Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'fifth_slider_image',
    )));
//Sixth slider image
    $wp_customize->add_setting('sixth_slider_image', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
   $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'sixth_slider_image', array(
        'label'    => __('Sixth Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'sixth_slider_image',
    )));

//END BACKGROUND SLIDER IMAGE 

    $wp_customize->add_setting('parallax_image_upload', array(
        'default'       =>  get_template_directory_uri().'/images/bg.jpg',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'parallax_image_upload', array(
        'label'    => __('Background Image Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'parallax_image_upload',
    )));

      $wp_customize->add_section('parallax_bg_video_option', array(
        'title'    => __('Background Video', 'featured'),
        'priority' => 4,
         'panel'  => 'parallax_panel',
    ));

    $wp_customize->add_setting('parallax_video_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw'
    ));

     $wp_customize->add_control( new WP_Customize_Upload_Control($wp_customize, 'parallax_video_link', array(
        'label'    => __('Background Video Upload', 'featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'parallax_video_link',
    )));

    $wp_customize->add_setting('parallax_video_image_upload', array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
      $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'parallax_video_image_upload', array(
        'label'    => __('Video Thumbnail', 'featured'),
        'description'=> __('This image will appear while the video is loading
','featured'),
        'section'  => 'parallax_image_option',
        'settings' => 'parallax_video_image_upload',
    )));


$wp_customize->add_panel( 'main_header_panel', array(
    'priority'       => 4,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Main Header Section', 'featured'),
    'description'    => '',
) );
// parallax heading and subheading
    $wp_customize->add_section('parallax_heading_option', array(
        'title'    => __('Heading Option', 'featured'),
        'priority' => 5,
         'panel'  => 'main_header_panel',
    ));

    $wp_customize->add_setting('parallax_heading', array(
        'default'           => __('Beautiful Wordpress Business Themes','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage'
         
    ));
   $wp_customize->add_control('parallax_heading', array(
        'label'    => __(' Main Heading', 'featured'),
        'section'  => 'parallax_heading_option',
        'settings' => 'parallax_heading',
         'type'       => 'text',
    )); 

    $wp_customize->add_setting('parallax_subheading', array(
        'default'           => __('Best Optimized WordPress Themes','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
         'transport'         => 'postMessage'

    ));
    $wp_customize->add_control('parallax_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'parallax_heading_option',
        'settings' => 'parallax_subheading',
         'type'       => 'textarea',
    ));
// slider-button-style
$wp_customize->add_setting( 'slidr_button',
    array(
              'sanitize_callback' => 'sanitize_text_field',
              'default'           => 'default',
              )
         );
$wp_customize->add_control('slidr_button',
        array(
        'type'        => 'select',
        'label'       => esc_html__('Button Style', 'featured'),
        'description'       => esc_html__('Choose button style for slider.', 'featured'),
        'section'     => 'parallax_heading_option',
        'choices' => array(
        'default' => esc_html__('Button style 1', 'featured'),
        'button-one' => esc_html__('Button style 2', 'featured'),
        'button-two' => esc_html__('Button style 3', 'featured'),
        'button-three' => esc_html__('Button style 4', 'featured'),
        'button-four' => esc_html__('Button style 5', 'featured'),
        'button-five' => esc_html__('Button style 6', 'featured'),
             )
           )
        );

   $wp_customize->add_setting('parallax_button_text', array(
        'default'           => __('Read More','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
         'transport'         => 'postMessage',
    ));
   $wp_customize->add_control('parallax_button_text', array(
        'label'    => __('Button text', 'featured'),
        'section'  => 'parallax_heading_option',
        'settings' => 'parallax_button_text',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('parallax_button_link', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    ));
   $wp_customize->add_control('parallax_button_link', array(
        'label'    => __('Button Link', 'featured'),
        'section'  => 'parallax_heading_option',
        'settings' => 'parallax_button_link',
         'type'       => 'text',
    ));
   $wp_customize->add_setting('prlx_opn_new_tab', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('prlx_opn_new_tab', array(
        'settings' => 'prlx_opn_new_tab',
        'label'     => __( 'Check to open link in new tab' ),
        'section' => 'parallax_heading_option',
        'type'    => 'checkbox',
    ) );
// break    
 $wp_customize->add_setting('sldr_btn_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control(new Featured_Customize_Misc_Control(
            $wp_customize,'sldr_btn_break_color',array(
            'section' => 'parallax_heading_option',
            'description' => __( 'Overlay Color', 'featured' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            )));

 // bg-color   
$wp_customize->add_setting('parallax_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.3)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_bg_color',
                'palette'   => $palette
            )
        )
    );
// break    
 $wp_customize->add_setting('hdng_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control(new Featured_Customize_Misc_Control(
            $wp_customize,'hdng_break_color',array(
            'section' => 'parallax_heading_option',
            'description' => __( 'Heading Color', 'featured' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            )));
 $wp_customize->add_setting('parallax_hd_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_hd_color',
            array(
                'label'     => __('Main Heading Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_hd_color',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('parallax_hd_brd_color',
        array(
            'default'     => '#adadad',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_hd_brd_color',
            array(
                'label'     => __('Border Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_hd_brd_color',
                'palette'   => $palette
            )
        )
    );

$wp_customize->add_setting('parallax_sub_hd_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_sub_hd_color',
            array(
                'label'     => __('Sub Heading Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_sub_hd_color',
                'palette'   => $palette
            )
        )
    );

// break    
 $wp_customize->add_setting('hdng_buttn_break_color', array(
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control(new Featured_Customize_Misc_Control(
            $wp_customize,'hdng_buttn_break_color',array(
            'section' => 'parallax_heading_option',
            'description' => __( 'Button Color', 'featured' ),
            'type' => 'content',
            'input_attrs' => array('divider' => true),
            )));

 $wp_customize->add_setting('parallax_button_color',
        array(
            'default'     => 'rgba(241, 241, 241, 0.5)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_button_color',
            array(
                'label'     => __('Button Background Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_button_color',
                'palette'   => $palette
            )
        )
    );
 $wp_customize->add_setting('parallax_button_txt_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_button_txt_color',
            array(
                'label'     => __('Button Text Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_button_txt_color',
                'palette'   => $palette
            )
        )
    ); 
 $wp_customize->add_setting('parallax_button_brd_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_button_brd_color',
            array(
                'label'     => __('Button Border Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_button_brd_color',
                'palette'   => $palette
            )
        )
    );         
$wp_customize->add_setting('parallax_button_hover_color',
        array(
            'default'     => '#106151',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_button_hover_color',
            array(
                'label'     => __('Button Background Hover Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_button_hover_color',
                'palette'   => $palette
            )
        )
    );   
$wp_customize->add_setting('parallax_button_txt_hover_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_button_txt_hover_color',
            array(
                'label'     => __('Button Hover Text Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_button_txt_hover_color',
                'palette'   => $palette
            )
        )
    ); 
 $wp_customize->add_setting('parallax_button_brdr_hover_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'parallax_button_brdr_hover_color',
            array(
                'label'     => __('Hover Border Color','featured'),
                'section'   => 'parallax_heading_option',
                'settings'  => 'parallax_button_brdr_hover_color',
                'palette'   => $palette
            )
        )
    );       
//  = Parallax Three Column Settings =
// Parallax First First Block
     $wp_customize->add_section('first_parallax_block', array(
        'title'    => __('First Column', 'featured'),
        'priority' => 20,
         'panel'  => 'main_header_panel',
    ));
   $wp_customize->add_setting('first_feature_choose', array(
       'default'           => 'icon',
       'capability'        => 'edit_theme_options',
       'sanitize_callback' => 'esc_attr',
   ));
    
    $wp_customize->add_control('first_feature_choose', array(
    'label'    => __('Choose Option', 'featured'),
    'section'  => 'first_parallax_block',
    'settings' => 'first_feature_choose',
    'type'       => 'radio',
    'choices'    => array(
    'icon' => __('Icon','featured'),
    'image' => __('Image','featured'),
    
     ),
 ));

    $wp_customize->add_setting('first_parallax_font_icon', array(
        'default'           => 'fa fa-leaf',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',

    ));
    $wp_customize->add_control('first_parallax_font_icon', array(
        'label'    => __('Font Icon', 'featured'),
        'description' => __( 'Go to this link for <a target="_blank" href="//fontawesome.io/icons/">Fontawesome icons</a> and copy the class of icon that you need & paste it below.','featured' ),
        'section'  => 'first_parallax_block',
        'settings' => 'first_parallax_font_icon',
         'type'       => 'text',
    ));
// images
    $wp_customize->add_setting('first_parallax_img', array(
        'default'       =>  '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'first_parallax_img', array(
        'label'    => __('Image Upload', 'featured'),
        'section'  => 'first_parallax_block',
        'settings' => 'first_parallax_img',
 )));
// heading
       $wp_customize->add_setting('first_parallax_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('first_parallax_heading', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'first_parallax_block',
        'settings' => 'first_parallax_heading',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('first_parallax_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('first_parallax_link', array(
        'label'    => __('Title Link', 'featured'),
        'section'  => 'first_parallax_block',
        'settings' => 'first_parallax_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('first_parallax_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('first_parallax_desc', array(
        'label'    => __('Description', 'featured'),
        'section'  => 'first_parallax_block',
        'settings' => 'first_parallax_desc',
         'type'       => 'textarea',

    ));
    // color
$wp_customize->add_setting('first_colmn_icon_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',    
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'first_colmn_icon_color', 
    array(
        'label'      => __( 'Icon Color', 'featured' ),
        'section'    => 'first_parallax_block',
        'settings'   => 'first_colmn_icon_color',
    ) ) );

$wp_customize->add_setting('first_colmn_hdng_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'first_colmn_hdng_color', 
    array(
        'label'      => __( 'Title Color', 'featured' ),
        'section'    => 'first_parallax_block',
        'settings'   => 'first_colmn_hdng_color',
    ) ) );
$wp_customize->add_setting('first_colmn_desc_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
          
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'first_colmn_desc_color', 
    array(
        'label'      => __( 'Description Color', 'featured' ),
        'section'    => 'first_parallax_block',
        'settings'   => 'first_colmn_desc_color',
    ) ) );
$wp_customize->add_setting('first_colmn_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.6)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );   
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'first_colmn_bg_color',
            array(
                'label'     => __('Background Hover Color','featured'),
                'section'   => 'first_parallax_block',
                'settings'  => 'first_colmn_bg_color',
                'palette'   => $palette
            )
        )
    );

    // parallax Second Block
     $wp_customize->add_section('second_parallax_block', array(
        'title'    => __('Second Column', 'featured'),
        'priority' => 20,
         'panel'  => 'main_header_panel',
    ));
$wp_customize->add_setting('second_feature_choose', array(
       'default'           => 'icon',
       'capability'        => 'edit_theme_options',
       'sanitize_callback' => 'esc_attr',
   ));
    
    $wp_customize->add_control('second_feature_choose', array(
    'label'    => __('Choose Option', 'featured'),
    'section'  => 'second_parallax_block',
    'settings' => 'second_feature_choose',
    'type'       => 'radio',
    'choices'    => array(
    'icon' => __('Icon','featured'),
    'image' => __('Image','featured'),
    
     ),
 ));

    $wp_customize->add_setting('second_parallax_font_icon', array(
        'default'           => 'fa fa-apple',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',

    ));
    $wp_customize->add_control('second_parallax_font_icon', array(
        'label'    => __('Font Icon', 'featured'),
        'description' => __( 'Go to this link for <a target="_blank" href="//fontawesome.io/icons/">Fontawesome icons</a> and copy the class of icon that you need & paste it below.','featured' ),
        'section'  => 'second_parallax_block',
        'settings' => 'second_parallax_font_icon',
         'type'       => 'text',
    ));
// images
    $wp_customize->add_setting('second_parallax_img', array(
        'default'       =>  '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'second_parallax_img', array(
        'label'    => __('Image Upload', 'featured'),
        'section'  => 'second_parallax_block',
        'settings' => 'second_parallax_img',
 )));
       $wp_customize->add_setting('second_parallax_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('second_parallax_heading', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'second_parallax_block',
        'settings' => 'second_parallax_heading',
         'type'       => 'text',
    ));

          $wp_customize->add_setting('second_parallax_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('second_parallax_link', array(
        'label'    => __('Title Link', 'featured'),
        'section'  => 'second_parallax_block',
        'settings' => 'second_parallax_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('second_parallax_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('second_parallax_desc', array(
        'label'    => __('Description', 'featured'),
        'section'  => 'second_parallax_block',
        'settings' => 'second_parallax_desc',
         'type'       => 'textarea',
    ));
$wp_customize->add_setting('second_colmn_icon_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'second_colmn_icon_color', 
    array(
        'label'      => __( 'Icon Color', 'featured' ),
        'section'    => 'second_parallax_block',
        'settings'   => 'second_colmn_icon_color',
    ) ) );

$wp_customize->add_setting('second_colmn_hdng_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'second_colmn_hdng_color', 
    array(
        'label'      => __( 'Title Color', 'featured' ),
        'section'    => 'second_parallax_block',
        'settings'   => 'second_colmn_hdng_color',
    ) ) );
$wp_customize->add_setting('second_colmn_desc_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
          
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'second_colmn_desc_color', 
    array(
        'label'      => __( 'Description Color', 'featured' ),
        'section'    => 'second_parallax_block',
        'settings'   => 'second_colmn_desc_color',
    ) ) );
$wp_customize->add_setting('second_colmn_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.6)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );   
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'second_colmn_bg_color',
            array(
                'label'     => __('Background Hover Color','featured'),
                'section'   => 'second_parallax_block',
                'settings'  => 'second_colmn_bg_color',
                'palette'   => $palette
            )
        )
    );

    // parallax Third Block
     $wp_customize->add_section('third_parallax_block', array(
        'title'    => __('Third Column', 'featured'),
        'priority' => 20,
         'panel'  => 'main_header_panel',
    ));
$wp_customize->add_setting('third_feature_choose', array(
       'default'           => 'icon',
       'capability'        => 'edit_theme_options',
       'sanitize_callback' => 'esc_attr',
   ));
    
    $wp_customize->add_control('third_feature_choose', array(
    'label'    => __('Choose Option', 'featured'),
    'section'  => 'third_parallax_block',
    'settings' => 'third_feature_choose',
    'type'       => 'radio',
    'choices'    => array(
    'icon' => __('Icon','featured'),
    'image' => __('Image','featured'),
    
     ),
 ));

    $wp_customize->add_setting('third_parallax_font_icon', array(
        'default'           => 'fa fa-ban',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('third_parallax_font_icon', array(
        'label'    => __('Font Icon', 'featured'),
        'description' => __( 'Go to this link for <a target="_blank" href="//fontawesome.io/icons/">Fontawesome icons</a> and copy the class of icon that you need & paste it below.','featured' ),
        'section'  => 'third_parallax_block',
        'settings' => 'third_parallax_font_icon',
         'type'       => 'text',
    ));
// images
    $wp_customize->add_setting('third_parallax_img', array(
        'default'       =>  '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload'
    ));
$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'third_parallax_img', array(
        'label'    => __('Image Upload', 'featured'),
        'section'  => 'third_parallax_block',
        'settings' => 'third_parallax_img',
 )));
       $wp_customize->add_setting('third_parallax_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('third_parallax_heading', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'third_parallax_block',
        'settings' => 'third_parallax_heading',
         'type'       => 'text',
    ));

          $wp_customize->add_setting('third_parallax_link', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('third_parallax_link', array(
        'label'    => __('Title Link', 'featured'),
        'section'  => 'third_parallax_block',
        'settings' => 'third_parallax_link',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('third_parallax_desc', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('third_parallax_desc', array(
        'label'    => __('Description', 'featured'),
        'section'  => 'third_parallax_block',
        'settings' => 'third_parallax_desc',
         'type'       => 'textarea',
    ));
$wp_customize->add_setting('third_colmn_icon_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'third_colmn_icon_color', 
    array(
        'label'      => __( 'Icon Color', 'featured' ),
        'section'    => 'third_parallax_block',
        'settings'   => 'third_colmn_icon_color',
    ) ) );

$wp_customize->add_setting('third_colmn_hdng_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'third_colmn_hdng_color', 
    array(
        'label'      => __( 'Title Color', 'featured' ),
        'section'    => 'third_parallax_block',
        'settings'   => 'third_colmn_hdng_color',
    ) ) );
$wp_customize->add_setting('third_colmn_desc_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
          
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'third_colmn_desc_color', 
    array(
        'label'      => __( 'Description Color', 'featured' ),
        'section'    => 'third_parallax_block',
        'settings'   => 'third_colmn_desc_color',
    ) ) );
$wp_customize->add_setting('third_colmn_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.6)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
            
        ) );   
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'third_colmn_bg_color',
            array(
                'label'     => __('Background Hover Color','featured'),
                'section'   => 'third_parallax_block',
                'settings'  => 'third_colmn_bg_color',
                'palette'   => $palette
            )
        )
    );


//lead-genaration switching option

$wp_customize->add_section('lead_swt_option', array(
        'title'    => __('Leadform Setting', 'featured'),
        'priority' => 2,
         'panel'  => 'main_header_panel',
    ));
$wp_customize->add_setting('lead_sett', array(
       'default'           => 'thr_ftr',
       'capability'        => 'edit_theme_options',
       'sanitize_callback' => 'esc_attr',
   ));
    
 $wp_customize->add_control('lead_sett', array(
    'label'    => '',
    'section'  => 'lead_swt_option',
    'settings' => 'lead_sett',
    'type'       => 'radio',
    'choices'    => array(
    'lead_gen' => __('Check to activate Lead Generation Form','featured'),
    'thr_ftr' => __('Check to activate Three Features','featured'),
    
     ),
 ));
$wp_customize->add_setting('lead_shrt_code_top', array(
        'default'           =>'[lead-form form-id=1 title=Contact Us]',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
         
    ));
    $wp_customize->add_control('lead_shrt_code_top', array(
        'label'    => __('Lead Form Shortcode', 'featured'),
        'description'=> __('Install recommended <a target="_blank" href="//wordpress.org/plugins/lead-form-builder/">Contact Form & Lead Form Builder</a> Plugin for Contact Us form.','featured'),
        'section'  => 'lead_swt_option',
        'settings' => 'lead_shrt_code_top',
        'type'       => 'textarea',
    ));
    $wp_customize->add_setting('lead_tle_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'lead_tle_color', array(
        'label'      => __('Lead Form Color Option', 'featured' ),
        'description'=> __('Heading Color','featured'),
        'section'    => 'lead_swt_option',
        'settings'   => 'lead_tle_color',
    ) ) 
    );
    $wp_customize->add_setting('lead_txt_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'lead_txt_color', array(
        'description'=> __('Input Text Color','featured'),
        'section'    => 'lead_swt_option',
        'settings'   => 'lead_txt_color',
    ) ) 
    );
    $wp_customize->add_setting('lead_bg_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'lead_bg_color', array(
        'description'=> __('Background Color','featured'),
        'section'    => 'lead_swt_option',
        'settings'   => 'lead_bg_color',
    ) ) 
    );
  $wp_customize->add_setting('leadbtn_color', array(
        'default'        => '#f2802d',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'leadbtn_color', array(
        'description'=> __('Button Color','featured'),
        'section'    => 'lead_swt_option',
        'settings'   => 'leadbtn_color',
    ) ) 
    );
    $wp_customize->add_setting('leadbtnhvr_color', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control(
    $wp_customize, 
    'leadbtnhvr_color', array(
        'description'=> __('Button Hover Color','featured'),
        'section'    => 'lead_swt_option',
        'settings'   => 'leadbtnhvr_color',
    ) ) 
    );
//-------------------End Parallax Panel----------------------------//

         //  ============================= //
        //  S2 = Heading and Button sections  =
        //  ============================= //
$wp_customize->add_section( 'ribbon_panel', array(
    'priority'       => 6,
    'title'          => __('First Ribbon', 'featured'),
    'panel'  => 'our_ribbon_panel',
) );

    $wp_customize->add_setting('hb_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('hb_heading', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'ribbon_panel',
        'settings' => 'hb_heading',
         'type'       => 'textarea',
    ));

     $wp_customize->add_setting('hb_button_text', array(
        'default'           => __('Read More','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('hb_button_text', array(
        'label'    => __('Button Text', 'featured'),
        'section'  => 'ribbon_panel',
        'settings' => 'hb_button_text',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('hb_button_link', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('hb_button_link', array(
        'label'    => __('Button Link', 'featured'),
        'section'  => 'ribbon_panel',
        'settings' => 'hb_button_link',
         'type'       => 'text',
    ));
    $wp_customize->add_setting('top_opn_new_tab', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('top_opn_new_tab', array(
        'settings' => 'top_opn_new_tab',
        'label'     => __( 'Check to open link in new tab' ),
        'section' => 'ribbon_panel',
        'type'    => 'checkbox',
    ) );
// color
$wp_customize->add_setting('ribbon_color',
        array(
            'default'     => '#1abc9c',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'ribbon_color',
            array(
                'label'     => __('Background Color','featured'),
                 'description' => __('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'ribbon_panel',
                'settings'  => 'ribbon_color',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('top_ribbon_txt_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'top_ribbon_txt_color', array(
        'label'      => __('Text Color', 'featured' ),
        'section'    => 'ribbon_panel',
        'settings'   => 'top_ribbon_txt_color',
    ) ) 
    );
$wp_customize->add_setting('ribbon_button_txt_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'ribbon_button_txt_color', array(
        'label'      => __('Button Text Color', 'featuredlite' ),
        'section'    => 'ribbon_panel',
        'settings'   => 'ribbon_button_txt_color',
    ) ) 
    );

     $wp_customize->add_setting('ribbon_button_color', array(
        'default'        => '#18947B',
        'capability'     => 'edit_theme_options',
       
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'ribbon_button_color', array(
        'label'      => __('Button Background Color', 'featured' ),
        'section'    => 'ribbon_panel',
        'settings'   => 'ribbon_button_color',
    ) ) 
    );

    $wp_customize->add_setting('ribbon_button_txt_hvr_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'ribbon_button_txt_hvr_color', array(
        'label'      => __('Button Text Hover Color', 'featured' ),
        'section'    => 'ribbon_panel',
        'settings'   => 'ribbon_button_txt_hvr_color',
    ) ) 
    );
     $wp_customize->add_setting('ribbon_button_hover_color', array(
        'default'        => '#106151',
        'capability'     => 'edit_theme_options',
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'ribbon_button_hover_color', array(
        'label'      => __('Button Background Hover Color', 'featured' ),
        'section'    => 'ribbon_panel',
        'settings'   => 'ribbon_button_hover_color',
    ) ) 
    );

//--------- bottom ribbon button----------//
$wp_customize->add_panel( 'our_ribbon_panel', array(
    'priority'       => 8,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Ribbon Section', 'featured'),
    'description'    => '',
) );


$wp_customize->add_section( 'ribbon_bottom_panel', array(
    'priority'       => 7,
    'title'          => __('Second Ribbon', 'featured'),
    'panel'  => 'our_ribbon_panel',
) );
$wp_customize->add_setting('hb_heading_bottom', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('hb_heading_bottom', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'ribbon_bottom_panel',
        'settings' => 'hb_heading_bottom',
         'type'       => 'textarea',
    ));
$wp_customize->add_setting('hb_button_text_bottom', array(
        'default'           => __('Read More','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('hb_button_text_bottom', array(
        'label'    => __('Button Text', 'featured'),
        'section'  => 'ribbon_bottom_panel',
        'settings' => 'hb_button_text_bottom',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('hb_button_link_bottom', array(
        'default'           => '#',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url',
    ));
    $wp_customize->add_control('hb_button_link_bottom', array(
        'label'    => __('Button Link', 'featured'),
        'section'  => 'ribbon_bottom_panel',
        'settings' => 'hb_button_link_bottom',
         'type'       => 'text',
    ));
   $wp_customize->add_setting('btm_opn_new_tab', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('btm_opn_new_tab', array(
        'settings' => 'btm_opn_new_tab',
        'label'     => __( 'Check to open link in new tab' ),
        'section' => 'ribbon_bottom_panel',
        'type'    => 'checkbox',
    ) );
    $wp_customize->add_setting('ribbon_color_bottom',
        array(
            'default'     => 'rgba(26, 188, 156, 0.6)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'ribbon_color_bottom',
            array(
                'label'     => __('Background Color','featured'),
                'description' => __('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'ribbon_bottom_panel',
                'settings'  => 'ribbon_color_bottom',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('btm_ribbon_txt_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'btm_ribbon_txt_color', array(
        'label'      => __('Text Color', 'featured' ),
        'section'    => 'ribbon_bottom_panel',
        'settings'   => 'btm_ribbon_txt_color',
    ) ) 
    );

$wp_customize->add_setting('ribbon_button_color_bottom', array(
        'default'        => '#18947B',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'ribbon_button_color_bottom', array(
        'label'      => __('Button Background Color', 'featured' ),
        'section'    => 'ribbon_bottom_panel',
        'settings'   => 'ribbon_button_color_bottom',
    ) ) 
    );
$wp_customize->add_setting('ribbon_button_color_txt_bottom', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
     
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'ribbon_button_color_txt_bottom', array(
        'label'      => __('Button Text Color', 'featuredlite' ),
        'section'    => 'ribbon_bottom_panel',
        'settings'   => 'ribbon_button_color_txt_bottom',
    ) ) 
    );

 $wp_customize->add_setting('ribbon_button_hover_color_bottom', array(
        'default'        => '#106151',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control( $wp_customize,'ribbon_button_hover_color_bottom', array(
        'label'      => __('Button Hover Color', 'featured' ),
        'section'    => 'ribbon_bottom_panel',
        'settings'   => 'ribbon_button_hover_color_bottom',
    ) ) 
    );
     $wp_customize->add_setting('ribbon_button_color_txt__hvr_bottom', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'ribbon_button_color_txt__hvr_bottom', array(
        'label'      => __('Button Text Hover Color', 'featuredlite' ),
        'section'    => 'ribbon_bottom_panel',
        'settings'   => 'ribbon_button_color_txt__hvr_bottom',
    ) ) 
    );
     
//---------- bottom ribbon button-----------------//
 // ============================= //
//  S3 = Our Services sections  =
// ============================= //

    $wp_customize->add_panel( 'our_services_panel', array(
    'priority'       => 8,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Services Section', 'featured'),
    'description'    => '',
) );
// Our Services heading and subheading
    $wp_customize->add_section('our_services_heading_option', array(
        'title'    => __('Setting', 'featured'),
        'priority' => 4,
         'panel'  => 'our_services_panel',
    ));

    $wp_customize->add_setting('our_services_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
         'transport'         => 'postMessage',
    ));
   $wp_customize->add_control('our_services_heading', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'our_services_heading_option',
        'settings' => 'our_services_heading',
         'type'       => 'text',
    )); 

    $wp_customize->add_setting('our_services_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',

    ));
    $wp_customize->add_control('our_services_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'our_services_heading_option',
        'settings' => 'our_services_subheading',
         'type'       => 'textarea',
    ));   
    $wp_customize->add_setting('service_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.3)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'service_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                 'description' => __('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'our_services_heading_option',
                'settings'  => 'service_bg_color',
                'palette'   => $palette
            )
        )
    );

$wp_customize->add_setting('srv_main_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'srv_main_hd_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'our_services_heading_option',
        'settings'   => 'srv_main_hd_color',
    ) ) 
);    

$wp_customize->add_setting('srv_sub_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'srv_sub_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'our_services_heading_option',
        'settings'   => 'srv_sub_hd_color',
    ) ) 
);    

$wp_customize->add_setting('srv_colom_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'srv_colom_bg_color',
            array(
            'label'     => __('Column Background Color','featured'), 
                'section'   => 'our_services_heading_option',
                'settings'  => 'srv_colom_bg_color',
                'palette'   => $palette
            )
        )
    );



$wp_customize->add_setting('srv_colom_hd_color', array(
        'default'        => '#858585',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'srv_colom_hd_color', array(
        'label'      => __('Column Heading Color', 'featured' ),
        'section'    => 'our_services_heading_option',
        'settings'   => 'srv_colom_hd_color',
    ) ) 
);    
 $wp_customize->add_setting('srv_colom_txt_color', array(
        'default'        => '#858585',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'srv_colom_txt_color', array(
        'label'      => __('Column Description Color', 'featured' ),
        'section'    => 'our_services_heading_option',
        'settings'   => 'srv_colom_txt_color',
    ) ) 
);     
//-------------End our services Panel------------------//
    //  ============================= //
        //  S4 = About Us sections  =
        //  ============================= //

// Our Services heading and subheading
    $wp_customize->add_section('about_us_option', array(
        'title'    => __('About-Us Section', 'featured'),
        'priority' => 9,
    ));

    $wp_customize->add_setting('about_us_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
         'transport'         => 'postMessage',
    ));
   $wp_customize->add_control('about_us_heading', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'about_us_option',
        'settings' => 'about_us_heading',
         'type'       => 'text',
    )); 

    $wp_customize->add_setting('about_us_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
         'transport'         => 'postMessage',

    ));
    $wp_customize->add_control('about_us_subheading', array(
        'label'    => __('Description', 'featured'),
        'section'  => 'about_us_option',
        'settings' => 'about_us_subheading',
         'type'       => 'textarea',
    ));   

 $wp_customize->add_setting('about_us_image', array(
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_upload',
        'transport'         => 'postMessage',
    ));
      $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'about_us_image', array(
        'label'    => __('Image Upload', 'featured'),
        'section'  => 'about_us_option',
        'settings' => 'about_us_image',
    )));

      $wp_customize->add_setting('about_us_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'about_us_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' => __('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'about_us_option',
                'settings'  => 'about_us_bg_color',
                'palette'   => $palette
            )
        )
    );

     $wp_customize->add_setting('about_us_txt_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'about_us_txt_color', array(
        'label'      => __('Text Color', 'featured' ),
        'section'    => 'about_us_option',
        'settings'   => 'about_us_txt_color',
    ) ) 
    );
$wp_customize->add_setting('about_us_desc_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'about_us_desc_color', array(
        'label'      => __('Description Color', 'featured' ),
        'section'    => 'about_us_option',
        'settings'   => 'about_us_desc_color',
    ) ) 
    );

//-------------------End about us Panel----------------------------//
//------------Start team section----------------//

        //  =  Our TEAM sections  =//
        //  ============================= //
 $wp_customize->add_panel( 'our_team_panel', array(
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Team Section', 'featured'),
    'description'    => '',
) );
// Our team heading and subheading
    $wp_customize->add_section('our_team_heading_option', array(
        'title'    => __('Setting', 'featured'),
        'priority' => 4,
         'panel'  => 'our_team_panel',
    ));

    $wp_customize->add_setting('our_team_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
   $wp_customize->add_control('our_team_heading', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'our_team_heading_option',
        'settings' => 'our_team_heading',
         'type'       => 'text',
    )); 

    $wp_customize->add_setting('our_team_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('our_team_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'our_team_heading_option',
        'settings' => 'our_team_subheading',
         'type'       => 'textarea',
    ));   
$wp_customize->add_setting('team_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'team_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' => __('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'our_team_heading_option',
                'settings'  => 'team_bg_color',
                'palette'   => $palette
            )
        )
    );

     $wp_customize->add_setting('team_txt_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'team_txt_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'our_team_heading_option',
        'settings'   => 'team_txt_color',
    ) ) 
    );
$wp_customize->add_setting('team_sub_hd_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'team_sub_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'our_team_heading_option',
        'settings'   => 'team_sub_hd_color',
    ) ) 
    );

//--------------------End team section------------------------------//
//---------------start woocommerce section------------------//
$wp_customize->add_panel( 'our_woocommerce_panel', array(
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Our Woocommerce Section', 'featured'),
    'description'    => '',
) );

// Our woocommerce heading and subheading
    
$wp_customize->add_section( 'woo_section', array(
        'title'          => __( 'WooCommerce Section','featured' ),
        'priority'       => 15,
        ));

    $wp_customize->add_setting('woo_head_', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
     ));
    $wp_customize->add_control('woo_head_', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'woo_section',
        'settings' => 'woo_head_',
         'type'       => 'text',
    ));

     $wp_customize->add_setting('woo_desc_', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage'
    ));
    $wp_customize->add_control('woo_desc_', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'woo_section',
        'settings' => 'woo_desc_',
         'type'       => 'textarea',
    ));

  $wp_customize->add_setting('woo_shortcode', array(
        'default'        => '[recent_products]',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('woo_shortcode', array(
        'settings' => 'woo_shortcode',
        'label'     => 'WooCommerce ShortCode',
        'section' => 'woo_section',
        'type'    => 'textarea',
    ) );

$wp_customize->add_setting('woo_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.3)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'woo_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'woo_section',
                'settings'  => 'woo_bg_color',
                'palette'   => $palette
            )
        )
    );
 $wp_customize->add_setting('woo_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'woo_hd_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'woo_section',
        'settings'   => 'woo_hd_color',
    ) ) 
    );
    $wp_customize->add_setting('woo_sub_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'woo_sub_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'woo_section',
        'settings'   => 'woo_sub_hd_color',
    ) ) 
    );
   $wp_customize->add_setting('add_btn_color', array(
        'default'        => '#2aaf8d',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'add_btn_color', array(
        'label'      => __('Button Color', 'featured' ),
        'section'    => 'woo_section',
        'settings'   => 'add_btn_color',
    ) ) 
    );
    $wp_customize->add_setting('add_btn_color_hvr', array(
        'default'        => '#106151',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'add_btn_color_hvr', array(
        'label'      => __('Button Hover Color', 'featured' ),
        'section'    => 'woo_section',
        'settings'   => 'add_btn_color_hvr',
    ) ) 
    );
//----------end woocommerce section----------------//
//--------- start price section----------------------//
$wp_customize->add_panel( 'our_price_panel', array(
    'priority'       => 10,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Price Section', 'featured'),
    'description'    => '',
) );
//  Our price heading and subheading
    $wp_customize->add_section('our_price_heading_option', array(
        'title'    => __('Setting', 'featured'),
        'priority' => 4,
         'panel'  => 'our_price_panel',
    ));

    $wp_customize->add_setting('our_price_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',

    ));
   $wp_customize->add_control('our_price_heading', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'our_price_heading_option',
        'settings' => 'our_price_heading',
         'type'       => 'text',

    )); 

    $wp_customize->add_setting('our_price_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',

    ));
    $wp_customize->add_control('our_price_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'our_price_heading_option',
        'settings' => 'our_price_subheading',
         'type'       => 'textarea',
    )); 
    $wp_customize->add_setting('price_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'price_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'our_price_heading_option',
                'settings'  => 'price_bg_color',
                'palette'   => $palette
            )
        )
    );
     $wp_customize->add_setting('price_txt_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'price_txt_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'our_price_heading_option',
        'settings'   => 'price_txt_color',
    ) ) 
    ); 

  $wp_customize->add_setting('price_sub_hd_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'price_sub_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'our_price_heading_option',
        'settings'   => 'price_sub_hd_color',
    ) ) 
    );  
//----------end price section---------------//
       

         //  ============================= //
        //  S5 = blog sections  =
        //  ============================= //

       $wp_customize->add_section( 'blog_head_desc', array(
     'title'          => __( 'Recent Post Section','featured' ),
     'priority'       => 12,
) );
       $wp_customize->add_setting('blog_head_', array(
        'default'           => __('Latest News & Blogs','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
         'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('blog_head_', array(
        'label'    => __('Heading', 'featured'),
        'section'  => 'blog_head_desc',
        'settings' => 'blog_head_',
         'type'       => 'text',
    ));

     $wp_customize->add_setting('blog_desc_', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('blog_desc_', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'blog_head_desc',
        'settings' => 'blog_desc_',
         'type'       => 'textarea',
    ));


     $cats = array();
  // $cats[0] = 'All Categories';
    foreach ( get_categories() as $categories => $category ){
        $cats[$category->term_id] = $category->name;
     }
   
     $wp_customize->add_setting('slider_cate', array(
        'default'        => 1,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('slider_cate', array(
        'settings' => 'slider_cate',
        'label'   => __('Post Category','featured'),
        'section' => 'blog_head_desc',
        'type' => 'select',
        'choices' => $cats,
    ) );
    $wp_customize->add_setting('slider_count', array(
        'default'        => 4,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('slider_count', array(
        'settings'  => 'slider_count',
        'label'     => __('Number of Post','featured'),
        'section'   => 'blog_head_desc',
        'type'      => 'number',
       'input_attrs' => array('min' => 1,'max' => 50)

    ) );
    $wp_customize->add_setting('post_count', array(
        'default'        => 5,
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'esc_attr',
    ));
    $wp_customize->add_control('post_count', array(
        'settings'  => 'post_count',
        'label'     => __('Number of Slide on Front','featured'),
        'section'   => 'blog_head_desc',
        'type'      => 'number',
       'input_attrs' => array('min' => 1,'max' => 50)

    ) );
// autoplay on/off
$wp_customize->add_setting('post_play', array(
            'default'           =>'on',
            'capability'        =>'edit_theme_options',
            'sanitize_callback' =>'sanitize_text_field'
        ));
$wp_customize->add_control('post_play', array(
            'settings' => 'post_play',
            'label'    => __('AutoPlay On/Off','featured'),
            'section'  => 'blog_head_desc',
            'type'     => 'radio',
            'choices'  => array(
                'on'       => 'On',
                'off'      => 'Off',
            ),
));  
$wp_customize->add_setting('post_slider_speed', array(
        'default'           => 3000,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_int'
    ));
    $wp_customize->add_control('post_slider_speed', array(
        'label'    => __('Slider Speed', 'featured'),
        'section'  => 'blog_head_desc',
        'settings' => 'post_slider_speed',
         'type'       => 'text',

    ));

$wp_customize->add_setting('blog_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.3)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'blog_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'blog_head_desc',
                'settings'  => 'blog_bg_color',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('blog_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'blog_hd_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'blog_head_desc',
        'settings'   => 'blog_hd_color',
    ) ) 
    );
$wp_customize->add_setting('blog_sub_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'blog_sub_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'blog_head_desc',
        'settings'   => 'blog_sub_hd_color',
    ) ) 
    );    
//-------------------End blog heading Panel----------------------------//

     //  =============================
    //  =S6 Testimonial Settings       =
    //  =============================

$wp_customize->add_panel( 'home_testimonial', array(
    'priority'       => 14,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Testimonial Section', 'featured'),
    'description'    => '',
));
   
// main heading
 $wp_customize->add_section('testimonial_heading_section', array(
        'title'    => __('Setting', 'featured'),
        'priority' => 1,
         'panel'  => 'home_testimonial',
    ));

    $wp_customize->add_setting('testimonial_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('testimonial_heading', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'testimonial_heading_section',
        'settings' => 'testimonial_heading',
         'type'       => 'text',
    ));
     $wp_customize->add_setting('testimonial_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('testimonial_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'testimonial_heading_section',
        'settings' => 'testimonial_subheading',
         'type'       => 'textarea',
    ));
    $wp_customize->add_setting('testimonial_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'testimonial_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'testimonial_heading_section',
                'settings'  => 'testimonial_bg_color',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('testimonial_txt_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'testimonial_txt_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'testimonial_heading_section',
        'settings'   => 'testimonial_txt_color',
    ) ) 
    );
$wp_customize->add_setting('testimonial_sub_hd_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'testimonial_sub_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'testimonial_heading_section',
        'settings'   => 'testimonial_sub_hd_color',
    ) ) 
    );
//-------------------End Author Section Panel----------------------------//

    //  =============================
    //  = News letter Settings       =
    //  =============================

   // lead form settings
    $wp_customize->add_section( 'lead_form', array(
     'title'          => __( 'News Letter Section', 'featured' ),
     'priority'       => 18,
    ));

    $wp_customize->add_setting('cf_head_', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('cf_head_', array(
        'label'    => __('Title', 'featured'),
        'section'  => 'lead_form',
        'settings' => 'cf_head_',
         'type'       => 'text',
    ));

    $wp_customize->add_setting('lead_shrt_code', array(
        'default'           =>'',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
         
    ));
    $wp_customize->add_control('lead_shrt_code', array(
        'label'    => __('Lead Form Shortcode', 'featured'),
        'description'=> __('Install recommended <a target="_blank" href="//wordpress.org/plugins/lead-form-builder/">Contact Form & Lead Form Builder</a> Plugin for Contact Us form.','featured'),
        'section'  => 'lead_form',
        'settings' => 'lead_shrt_code',
        'type'       => 'textarea',
    ));
    // bg-color
$wp_customize->add_setting('newletter_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.3)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'newletter_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'lead_form',
                'settings'  => 'newletter_bg_color',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('newletter_txt_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'newletter_txt_color', array(
        'label'      => __('Text Color', 'featured' ),
        'section'    => 'lead_form',
        'settings'   => 'newletter_txt_color',
    ) ) 
    );
$wp_customize->add_setting('lead_btn_color',
        array(
            'default'     => '#2aaf8d',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'lead_btn_color',
            array(
                'label'     => __('Button Background Color','featured'),
                'section'   => 'lead_form',
                'settings'  => 'lead_btn_color',
                'palette'   => $palette
            )
        )
    );
   $wp_customize->add_setting('lead_btn_txt_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'lead_btn_txt_color', array(
        'label'      => __('Button Text Color', 'featured' ),
        'section'    => 'lead_form',
        'settings'   => 'lead_btn_txt_color',
    ) ) 
    );
    $wp_customize->add_setting('lead_btn_color_hvr',
        array(
            'default'     => '#106151',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'lead_btn_color_hvr',
            array(
                'label'     => __('Button Background Color','featured'),
                'section'   => 'lead_form',
                'settings'  => 'lead_btn_color_hvr',
                'palette'   => $palette
            )
        )
    );
    $wp_customize->add_setting('lead_btn_txt_color_hvr', array(
        'default'        => ' #fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'lead_btn_txt_color_hvr', array(
        'label'      => __('Button Text Hover Color', 'featured' ),
        'section'    => 'lead_form',
        'settings'   => 'lead_btn_txt_color_hvr',
    ) ) 
    );

//----------End News Letter Panel----------------//
//-------------------Start Brand Panel----------------//
$wp_customize->add_panel( 'home_brand', array(
    'priority'       => 17,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Brand Section', 'featured'),
    'description'    => '',
));

//number of slides    
 $wp_customize->add_section( 'brnd_set', array(
         'title'          => __( 'Setting', 'featured' ),
         'priority'       => 1,
         'panel'          => 'home_brand',
    ) );
$wp_customize->add_setting('slider_numb', array(
        'default'           => __('6','featured'),
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        
    ));
$wp_customize->add_control('slider_numb', array(
        'label'    => __('Number of Brand to Show', 'featured'),
        'section'  => 'brnd_set',
        'settings' => 'slider_numb',
         'type'       => 'text',
    ));
// autoplay on/off
$wp_customize->add_setting('brand_play', array(
            'default'           =>'on',
            'capability'        =>'edit_theme_options',
            'sanitize_callback' =>'sanitize_text_field'
        ));
$wp_customize->add_control('brand_play', array(
            'settings' => 'brand_play',
            'label'    => __('AutoPlay On/Off','featured'),
            'section'  => 'brnd_set',
            'type'     => 'radio',
            'choices'  => array(
                'on'       => 'On',
                'off'      => 'Off',
            ),
));   
$wp_customize->add_setting('brnd_slider_speed', array(
        'default'           => 3000,
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_int'
    ));
    $wp_customize->add_control('brnd_slider_speed', array(
        'label'    => __('Slider Speed', 'featured'),
        'section'  => 'brnd_set',
        'settings' => 'brnd_slider_speed',
         'type'       => 'text',

    ));
// bg-color
$wp_customize->add_setting('brnd_bg_color',
        array(
            'default'     => '',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'brnd_bg_color',
            array(
            'label'     => __('Brand Background Color','featured'),
            'section'   => 'brnd_set',
            'settings'  => 'brnd_bg_color',
            'palette'   => $palette
            )
        )
    );
//-------------------End Brand Panel----------------------------//

// portfolio-section
$wp_customize->add_panel( 'our_portfolio_panel', array(
    'priority'       => 16,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Portfolio Section', 'featured'),
    'description'    => '',
) );
   $wp_customize->add_section( 'prt_sec', array(
     'title'          => __( 'Setting', 'featured' ),
     'panel'  => 'our_portfolio_panel',
     'priority' => 5,
    ));
   $wp_customize->add_setting('prt_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage'
    ));
   $wp_customize->add_control('prt_heading', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'prt_sec',
        'settings' => 'prt_heading',
         'type'       => 'text'
    )); 
    $wp_customize->add_setting('prt_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage'
    ));
    $wp_customize->add_control('prt_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'prt_sec',
        'settings' => 'prt_subheading',
         'type'       => 'textarea'
    ));  


$wp_customize->add_setting('our_port_default_images', array(
        'default'           => 8,
        'sanitize_callback' => 'featured_sanitize_int',
       
));
   $wp_customize->add_control('our_port_default_images', array(
        'label'    => __('Number of Portfolio Images To Show', 'featured'),
        'section'  => 'prt_sec',
        'settings' => 'our_port_default_images',
        'type'     => 'number',
    )); 

   $wp_customize->add_setting('our_port_category', array(
        'default'           =>array(0),
        'sanitize_callback' => 'th_checkbox_explode'
    ));
    $wp_customize->add_control(new TH_Customize_Control_Checkbox_Multiple(
            $wp_customize,'our_port_category', array(
        'settings' => 'our_port_category',
        'label'   => __( 'Check Category To Display', 'featured' ),
        'section' => 'prt_sec',
        'choices' => $cats
        ) 
    )
);

$wp_customize->add_section( 'prt_sec_color', array(
     'title'          => __( 'Color', 'featured' ),
     'panel'  => 'our_portfolio_panel',
     'priority' => 6,
    ));   
// bg-color
$wp_customize->add_setting('port_bg_color',
        array(
            'default'     => 'rgba(0, 0, 0, 0.3)',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'port_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'prt_sec_color',
                'settings'  => 'port_bg_color',
                'palette'   => $palette
            )
        )
    );
$wp_customize->add_setting('port_mn_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'port_mn_hd_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'prt_sec_color',
        'settings'   => 'port_mn_hd_color',
    ) ) 
    );
$wp_customize->add_setting('port_sb_hd_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'port_sb_hd_color', array(
        'label'      => __('Sub Heading Color', 'featured' ),
        'section'    => 'prt_sec_color',
        'settings'   => 'port_sb_hd_color',
    ) ) 
    );
    $wp_customize->add_setting('port_cat_color', array(
        'default'        => '#fff',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'port_cat_color', array(
        'label'      => __('Portfolio Category Color', 'featured' ),
        'section'    => 'prt_sec_color',
        'settings'   => 'port_cat_color',
    ) ) 
    );
    $wp_customize->add_setting('port_cat_brd_color', array(
        'default'        => '#16a085',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'port_cat_brd_color', array(
        'label'      => __('Category Border Hover/Active Color', 'featured' ),
        'section'    => 'prt_sec_color',
        'settings'   => 'port_cat_brd_color',
    ) ) 
    );
// skill-section
$wp_customize->add_panel( 'home_skill', array(
    'priority'       => 17,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Skill Section', 'featured'),
    'description'    => '',
) );
$wp_customize->add_section( 'skill_sec', array(
     'title'          => __( 'Color', 'featured' ),
     'panel'  => 'home_skill',
     'priority' => 1,
    ));
 $wp_customize->add_setting('skill_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'skill_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'skill_sec',
                'settings'  => 'skill_bg_color',
                'palette'   => $palette
            )
        )
    );   
// fact-counter
$wp_customize->add_panel( 'home_fact', array(
    'priority'       => 18,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Fact-counter Section', 'featured'),
    'description'    => '',
) );
$wp_customize->add_section( 'fact_sec', array(
     'title'          => __( 'Setting', 'featured' ),
     'panel'  => 'home_fact',
     'priority' => 1,
    ));
$wp_customize->add_setting('fact_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage'
    ));
    $wp_customize->add_control('fact_heading', array(
        'label'    => __('Heading', 'featured'),
        'section'  => 'fact_sec',
        'settings' => 'fact_heading',
         'type'       => 'textarea'
    ));  
 $wp_customize->add_setting('fact_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'fact_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'fact_sec',
                'settings'  => 'fact_bg_color',
                'palette'   => $palette
            )
        )
    );   
$wp_customize->add_setting('fact_heading_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'fact_heading_color', array(
        'label'      => __('Heading Color', 'featured' ),
        'section'    => 'fact_sec',
        'settings'   => 'fact_heading_color',
    ) ) 
    );
// instagram
$wp_customize->add_panel( 'home_instagram', array(
    'priority'       => 19,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Instagram Section', 'featured'),
    'description'    => '',
) ); 

$wp_customize->add_section( 'insta_sec', array(
     'title'          => __( 'Color', 'featured' ),
     'panel'  => 'home_instagram',
     'priority' => 1,
    ));

$wp_customize->add_setting('insta_bg_color',
        array(
            'default'     => '',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'insta_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'insta_sec',
                'settings'  => 'insta_bg_color',
                'palette'   => $palette
            )
        )
    );   

//=  Our contact sections  =//
//==========================//
 $wp_customize->add_panel( 'our_cnt_panel', array(
    'priority'       => 20,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('contact Section', 'featured'),
    'description'    => '',
) );

    $wp_customize->add_section( 'cnt_form', array(
     'title'          => __( 'Setting', 'featured' ),
     'panel'  => 'our_cnt_panel',
     'priority' => 5,
    ));

// Our contact heading and subheading
 
    $wp_customize->add_setting('our_cnt_heading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
        'transport'         => 'postMessage',
    ));
   $wp_customize->add_control('our_cnt_heading', array(
        'label'    => __('Main Heading', 'featured'),
        'section'  => 'cnt_form',
        'settings' => 'our_cnt_heading',
         'type'       => 'text',
    )); 
    $wp_customize->add_setting('our_cnt_subheading', array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',
        'transport'         => 'postMessage',
    ));
    $wp_customize->add_control('our_cnt_subheading', array(
        'label'    => __('Sub Heading', 'featured'),
        'section'  => 'cnt_form',
        'settings' => 'our_cnt_subheading',
         'type'       => 'textarea',
    ));  
// lead form settings
    
   $wp_customize->add_setting('cf_shtcd_', array(
        'default'           => '[lead-form form-id=1 title=Contact Us]',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea',

    ));
    $wp_customize->add_control('cf_shtcd_', array(
        'label'    => __('Leadform Shortcode', 'featured'),
        'section'  => 'cnt_form',
        'settings' => 'cf_shtcd_',
        'type'       => 'textarea',
    ));

//tel
$wp_customize->add_setting('cnt_tel', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'featured_sanitize_textarea',
             
            ));
        $wp_customize->add_control('cnt_tel', array(
            'label'    => __('Mobile', 'featured'),
            'section'  => 'cnt_form',
            'settings' => 'cnt_tel',
             'type'       => 'text',
            'priority' => 20,
   ));

//adderess
$wp_customize->add_setting('cnt_add', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'featured_sanitize_textarea',
            
            ));
        $wp_customize->add_control('cnt_add', array(
            'label'    => __('Address', 'featured'),
            'section'  => 'cnt_form',
            'settings' => 'cnt_add',
             'type'       => 'textarea',
            'priority' => 20,
            ));
//mail
$wp_customize->add_setting('cnt_mail', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'featured_sanitize_textarea',
             
            ));
        $wp_customize->add_control('cnt_mail', array(
            'label'    => __('Email', 'featured'),
            'section'  => 'cnt_form',
            'settings' => 'cnt_mail',
             'type'       => 'text',
            'priority' => 20,
            ));

//map
$wp_customize->add_setting('map_add', array(
            'default'           => '',
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'featured_sanitize_textarea_html'
            ));
        $wp_customize->add_control('map_add', array(
            'label'    => __('Map Address', 'featured'),
            'description' => __('insert goole map iframe <a target="_blank" href="https://www.google.co.in/maps">Map</a>','featured'),
            'section'  => 'cnt_form',
            'settings' => 'map_add',
             'type'       => 'textarea',
            'priority' => 20,
            ));
$wp_customize->add_section('cnt_color_section', array(
        'title'    => __('Color', 'featured'),
        'priority' => 6,
         'panel'  => 'our_cnt_panel',
    ));

$wp_customize->add_setting('cnt_bg_color',
        array(
            'default'     => '#fff',
            'type'        => 'theme_mod',
            'capability'  => 'edit_theme_options',
        ) );
$wp_customize->add_control(
        new Customize_Alpha_Color_Control($wp_customize,
            'cnt_bg_color',
            array(
                'label'     => __('Background Color','featured'),
                'description' =>__('(Set background color for section or set color with transparency for section overlay)','featured'),
                'section'   => 'cnt_color_section',
                'settings'  => 'cnt_bg_color',
                'palette'   => $palette
            )
        )
    );
// main-heading-color
$wp_customize->add_setting('cnt_main_heading_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'cnt_main_heading_color', array(
        'label'      => __('Main Heading Color', 'featured' ),
        'section'    => 'cnt_color_section',
        'settings'   => 'cnt_main_heading_color',
    ) ) 
    );
// sub-heading-color 
$wp_customize->add_setting('cnt_sub_heading_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'cnt_sub_heading_color', array(
        'label'      => __('SubHeading Color', 'featured' ),
        'section'    => 'cnt_color_section',
        'settings'   => 'cnt_sub_heading_color',
    ) ) 
    );   
$wp_customize->add_setting('cnt_txt_color', array(
        'default'        => '#000',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( 
    new WP_Customize_Color_Control($wp_customize,'cnt_txt_color', array(
        'label'      => __('Icon & Text Color', 'featured' ),
        'section'    => 'cnt_color_section',
        'settings'   => 'cnt_txt_color',
    ) ) 
    );        
//custom-section
$wp_customize->add_panel( 'custm_panel', array(
    'priority'       => 17,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '',
    'title'          => __('Custom Section', 'featured'),
    'description'    => '',   
) );  

//----------End contact section------//  

    //  =============================
    //  =S9 Custom Css      =
    //  =============================

    // custom color
    $wp_customize->get_section('colors')->title = esc_html__('Style Settings', 'featured');
    $wp_customize->get_section('colors')->priority = 31;
if( get_bloginfo( 'version' ) < '4.7'):
   $wp_customize->add_setting('custom_css_text', array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
        'sanitize_callback' => 'featured_sanitize_textarea'
    ));
    $wp_customize->add_control('custom_css_text', array(
        'settings' => 'custom_css_text',
        'label'     => 'Custom Css',
        'section' => 'colors',
        'type'    => 'textarea',
    ) );
endif;
// wordpress-default-option
$wp_customize->remove_section( 'header_image');
// custom color
    $wp_customize->get_section('colors')->title = esc_html__('Body Background Color', 'featuredlite');
    $wp_customize->get_section('colors')->priority = 60;
    $wp_customize->get_section('colors')->panel = 'theme_optn';
// custom background
$wp_customize->add_section( 'background_image', array(
  'title'          => __( 'Body Background Image', 'featuredlite' ),
  'theme_supports' => 'custom-background',
  'priority'       => 80,
  'panel' =>'theme_optn',
) ); 
// selective-refresh option added
$wp_customize->selective_refresh->add_partial( 'blogname', array(
        'selector' => '.logo h1 a'
) );
$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
        'selector' => '.logo p'
) );
// top section
$wp_customize->selective_refresh->add_partial('parallax_heading', array(
        'selector' => '.main-header-section .main-text h1',
) );
$wp_customize->selective_refresh->add_partial('parallax_subheading', array(
        'selector' => '.main-header-section h2',
) );

// three coloum
$wp_customize->selective_refresh->add_partial('first_parallax_font_icon', array(
        'selector' => '.first a span.featured-icon',
) );
$wp_customize->selective_refresh->add_partial('second_parallax_font_icon', array(
        'selector' => '.second a span.featured-icon',
) );
$wp_customize->selective_refresh->add_partial('third_parallax_font_icon', array(
        'selector' => '.third a span.featured-icon',
) );
// ribbon-top
$wp_customize->selective_refresh->add_partial('hb_heading', array(
        'selector' => '#ribbon h2.heading-area',
) );
// services
$wp_customize->selective_refresh->add_partial('our_services_heading', array(
        'selector' => '#multifeature h2',
) );
$wp_customize->selective_refresh->add_partial('our_services_subheading', array(
        'selector' => '#multifeature h3.subhead-text',
) );
// about us
$wp_customize->selective_refresh->add_partial('about_us_heading', array(
        'selector' => '#about h2',
) );
$wp_customize->selective_refresh->add_partial('about_us_subheading', array(
        'selector' => '#about p',
) );
// blog
$wp_customize->selective_refresh->add_partial('blog_head_', array(
        'selector' => '#news h2',
) );
$wp_customize->selective_refresh->add_partial('blog_desc_', array(
        'selector' => '#news h3.subhead-text',
) );
// testimonial
$wp_customize->selective_refresh->add_partial('testimonial_heading', array(
        'selector' => '#testimonials h2',
) );
$wp_customize->selective_refresh->add_partial('testimonial_subheading', array(
        'selector' => '#testimonials h3.subhead-text',
) );
// news letter
$wp_customize->selective_refresh->add_partial('cf_head_', array(
        'selector' => '#newsletter h3',
) );
// team
$wp_customize->selective_refresh->add_partial('our_team_heading', array(
        'selector' => '#team h2.head-text',
) );
$wp_customize->selective_refresh->add_partial('our_team_subheading', array(
        'selector' => '#team h3.subhead-text',
) );
// price
$wp_customize->selective_refresh->add_partial('our_price_heading', array(
        'selector' => '#price h2',
) );
$wp_customize->selective_refresh->add_partial('our_price_subheading', array(
        'selector' => '#price h3.subhead-text',
) );
// woocommerce
$wp_customize->selective_refresh->add_partial('woo_head_', array(
        'selector' => '.woocommerce-section h2.head-text',
) );
$wp_customize->selective_refresh->add_partial('woo_desc_', array(
        'selector' => '.woocommerce-section h3.subhead-text',
) );
//bottom ribbon
$wp_customize->selective_refresh->add_partial('hb_heading_bottom', array(
        'selector' => '#bottom-ribbon h2.heading-area',
) );
//social icon
$wp_customize->selective_refresh->add_partial('f_link', array(
        'selector' => '.social-icon i.fa-facebook',
) );
// footer text
$wp_customize->selective_refresh->add_partial('copyright_textbox', array(
        'selector' => '.copyright',
) );
}
add_action('customize_register','featured_customize_register');
?>