<?php
/**
 *  function Page
 */
if ( ! isset( $content_width ) ) {
  $content_width = 1170;
}
function featured_setup() {
load_theme_textdomain('featured', get_template_directory() . '/languages');
/*
   * Let WordPress manage the document title.
   * By adding theme support, we declare that this theme does not use a
   * hard-coded <title> tag in the document head, and expect WordPress to
   * provide it for us.
   */
  add_theme_support( 'title-tag' );
  add_theme_support( 'custom-logo', array(
    'height'      => 60,
    'width'       => 225,
    'flex-height' => true,
  ) ); 
// post-header image
$defaults = array(
    'default-image'          => '',
    'width'                  => 0,
    'height'                 => 0,
    'flex-height'            => false,
    'flex-width'             => false,
    'uploads'                => true,
    'random-default'         => false,
    'header-text'            => false,
    'default-text-color'     => 'f16c20',
    'wp-head-callback'       => '',
    'admin-head-callback'    => '',
    'admin-preview-callback' => '',
);
add_theme_support( 'custom-header', $defaults );  
add_editor_style( 'custom-editor-style.css' );
$args = array(
  'default-color' => 'ffffff',
);
add_theme_support( 'custom-background', $args );
  
// Add RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    /*
     * Switch default core markup for search form, comment form, and comments
     * to output valid HTML5.
     */
    add_theme_support( 'html5', array(
        'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
    ) );

     /* woocommerce support */
    add_theme_support( 'woocommerce' );
}
add_action( 'after_setup_theme', 'featured_setup' );
require_once( get_template_directory() . '/inc/index.php' );
/**
 * Enqueue scripts and styles for the front end.
 */
function featured_scripts() {
$featured_animation = get_theme_mod('featured_animation_disable');
// Add Genericons font, used in the main stylesheet.
if($featured_animation =='' || $featured_animation =='0'){
wp_enqueue_style( 'animate', get_template_directory_uri() . '/css/animate.css', array(), '1.0.0' );}
wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.css', array(), '1.0.0' );
  wp_enqueue_style('prettyPhoto',get_stylesheet_directory_uri() . '/inc/lightbox/css/prettyPhoto.css');

wp_enqueue_style( 'owl', get_template_directory_uri() . '/css/owl.carousel.css', array(), '1.0.0' );
wp_enqueue_style('featured-style', get_stylesheet_uri());
// js include
wp_enqueue_script( 'easing', get_template_directory_uri() . '/js/easing.js', array( 'jquery' ), '', true );
wp_enqueue_script( 'numscroller', get_template_directory_uri() . '/js/numscroller.js', array( 'jquery' ), '', true );
wp_enqueue_script( 'isotope', get_template_directory_uri() . '/js/isotope.pkgd.min.js', array( 'jquery' ), '', true );
wp_enqueue_script( 'easy', get_template_directory_uri() . '/js/easy.js', array( 'jquery' ), '', true );
wp_enqueue_script( 'wow', get_template_directory_uri() . '/js/wow.js', array( 'jquery' ), '', true );
wp_enqueue_script( 'imagesloaded', get_template_directory_uri() . '/js/imagesloaded.js', array( 'jquery' ), '', true );
wp_enqueue_script( 'classie', get_template_directory_uri() . '/js/classie.js', array( 'jquery' ), '', true );
wp_enqueue_script('prettyPhoto',get_stylesheet_directory_uri() . '/inc/lightbox/js/jquery.prettyPhoto.js');
wp_enqueue_script( 'owl.carousel', get_template_directory_uri() . '/js/owl.carousel.js', array( 'jquery' ), '', true );
    if(get_theme_mod('cf_hide_show_','off')=='on') : 
wp_enqueue_script('recaptcha', '//www.google.com/recaptcha/api.js', array('jquery'));
    endif;
wp_enqueue_script( 'featured-custom', get_template_directory_uri() . '/js/custom.js', array( 'jquery' ), '', true );
wp_localize_script( 'featured-custom', 'frontendajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' )));
 // Comment reply
if (is_singular() && get_option('thread_comments')){
    wp_enqueue_script('comment-reply');
  }
}
add_action( 'wp_enqueue_scripts', 'featured_scripts' );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
?>