<?php
/*
 *  Brand Widget
 *
 */
// register widget
add_action('widgets_init', 'featured_brand_widget');
function featured_brand_widget() {
    register_widget( 'featured_brand' );
}
// featured_brand widget class
class featured_brand extends WP_Widget {   
    function __construct() {
        $widget_ops = array('classname' => 'featured-brand','description' => 'Show your Brand List');
        parent::__construct('featured-brand-widget', __('Featured : Brand Widget','featured'), $widget_ops);
    }

    function widget($args, $instance) {
        extract($args);

        // widget content
        echo $before_widget;
        $link = isset($instance['link'])?$instance['link']:'http://';
        $title = isset($instance['title'])?$instance['title']:'Brand Name';
        $authpic = isset($instance['authpic'])?$instance['authpic']:FEATURED_BRND_IMG;
?>
 <div class="item"><a href="<?php echo $link; ?>"><img src="<?php echo $authpic; ?>"/></a></div>

<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['authpic'] = $new_instance['authpic'];
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['link'] = $new_instance['link'];
        return $instance;
    }

    function form($instance) {
        if( $instance) {
        $title = esc_attr($instance['title']);
        $authpic = strip_tags($instance['authpic']);
        $link = $instance['link'];
    } else {
        $title = '';
        $authpic = '';
        $link = '';
    }
    ?>
        <div class="clearfix"></div>

        <p>
        <label for="<?php echo $this->get_field_id('authpic'); ?>"><?php _e('Brand Image','featured'); ?></label>
                <?php
            if ( isset($instance['authpic']) && $instance['authpic'] != '' ) :
                echo '<img class="'.$this->get_field_id('authpic').'" src="' . $instance['authpic'] . '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
            endif;
        ?>
        <input type="text" class="widefat custom_media_url" name="<?php echo $this->get_field_name('authpic'); ?>" id="<?php echo $this->get_field_id('authpic'); ?>" value="<?php  echo $authpic; ?>" style="margin-top:5px;">
     
        <input type="button" class="button button-primary custom_media_button" id="<?php echo $this->get_field_id('authpic'); ?>_button" name="<?php echo $this->get_field_name('authpic'); ?>" value="Upload Image" style="margin-top:5px;" />
               </p>
            <p>
              <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Brand Name','featured'); ?>
              </label>
                <textarea  name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>"  class="widefat" ><?php echo $title; ?></textarea>
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('link'); ?>"><?php _e('Link','featured'); ?> ex: http://www.abc.com</label>
       <textarea  name="<?php echo $this->get_field_name('link'); ?>" id="<?php echo $this->get_field_id('link'); ?>"  class="widefat" ><?php echo $link; ?></textarea>
       </p>
        <?php
    }
}
?>