<?php
/*
 *  Fact-counter widget
 */
// register widget
add_action('widgets_init', 'featured_counter_widget');
function featured_counter_widget() {
    register_widget( 'featured_counter' );
}
// add admin scripts
add_action('admin_enqueue_scripts', 'featured_counter_enqueue');
function featured_counter_enqueue() {
    wp_enqueue_media();
    wp_enqueue_style( 'wp-color-picker' ); 
    wp_enqueue_script('featured_counter_script', get_template_directory_uri() . '/js/widget.js', array( 'jquery', 'wp-color-picker' ), false, '1.0', true);
}
//  widget class
class featured_counter extends WP_Widget {
function __construct() {
        $widget_ops = array('classname' => 'featured_counter','description' => 'Show your Fact Counter');
        parent::__construct('fact-counter-widget', __('Featured : Fact Counter Widget','featured'), $widget_ops);
    }

    function widget($args, $instance) {
    extract($args);
    // widget content
    echo $before_widget;
    $title = isset($instance['title'])?$instance['title']:'Title';
    $icon = isset($instance['icon'])?$instance['icon']:'Icon';
    $min_value = isset($instance['min_value'])?$instance['min_value']:'0';
    $max_value = isset($instance['max_value'])?$instance['max_value']:'100';
    $value_delay = isset($instance['value_delay'])?$instance['value_delay']:'10';
    $icon_clr = isset($instance['icon_clr'])?$instance['icon_clr']:'#666';
    $title_clr = isset($instance['title_clr'])?$instance['title_clr']:'#999';
    $value_clr = isset($instance['value_clr'])?$instance['value_clr']:'#000';
?>
    <li class="counter-list">
    <p><i style="color:<?php echo $icon_clr; ?>" class="<?php echo $icon; ?> fa-3x"></i></p>
    <div class="counter-set">
        <div style="color:<?php echo $value_clr; ?>" class='counter-value numscroller' data-slno='1' data-min='<?php echo $min_value; ?>' data-max='<?php echo $max_value;?>' data-delay='<?php echo $value_delay;?>' data-increment="10"></div>
        <h6 style="color:<?php echo $title_clr; ?>"><?php echo $title; ?></h6>
    </div>
    </li>
<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['icon'] = $new_instance['icon'];
        $instance['min_value'] = $new_instance['min_value'];
        $instance['max_value'] = $new_instance['max_value'];
        $instance['value_delay'] = $new_instance['value_delay'];
        $instance['icon_clr'] = $new_instance['icon_clr'];
        $instance['title_clr'] = $new_instance['title_clr'];
        $instance['value_clr'] = $new_instance['value_clr'];
        return $instance;
    }
    function form($instance) {
         if( $instance) {
        $title       = $instance['title'];
        $icon        = $instance['icon'];
        $min_value   = $instance['min_value'];
        $max_value   = $instance['max_value'];
        $value_delay = $instance['value_delay'];
        $icon_clr    = $instance['icon_clr'];
        $title_clr   = $instance['title_clr'];
        $value_clr   = $instance['value_clr'];

    } else {
        $title = 'Title';
        $icon = 'fa fa-coffee';
        $min_value = '0';
        $max_value = '100';
        $value_delay = '10';
        $icon_clr    = '';
        $title_clr   = '';
        $value_clr   = '';
    }
    ?>
<div class="clearfix"></div>
<P> 
    <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title','featured'); ?></label>
    <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php  echo $title; ?>" style="margin-top:5px;">
</P>
<P> 
    <label for="<?php echo $this->get_field_id('icon'); ?>"><?php _e('Icon','featured'); ?></label>
    <label style="padding-bottom: 5px; padding-top:0px;font-size: 12px;font-style: italic;"><?php _e('Go to this link for <a target="_blank" href="//fontawesome.io/icons/">Fontawesome icons</a> and copy the class of icon that you need & paste it below.','featuredlite'); ?></label>
    <input type="text" class="widefat" name="<?php echo $this->get_field_name('icon'); ?>" id="<?php echo $this->get_field_id('icon'); ?>" value="<?php  echo $icon; ?>" style="margin-top:5px;">
</P>
<P> 
    <label for="<?php echo $this->get_field_id('min_value'); ?>"><?php _e('Minimum value','featured'); ?></label>
    <input type="number" class="widefat" name="<?php echo $this->get_field_name('min_value'); ?>" id="<?php echo $this->get_field_id('min_value'); ?>" value="<?php  echo $min_value; ?>" style="margin-top:5px;">
</P>
<P> 
    <label for="<?php echo $this->get_field_id('max_value'); ?>"><?php _e('Maximum value','featured'); ?></label>
    <input type="number" class="widefat" name="<?php echo $this->get_field_name('max_value'); ?>" id="<?php echo $this->get_field_id('max_value'); ?>" value="<?php  echo $max_value; ?>" style="margin-top:5px;">
</P>
<P> 
    <label for="<?php echo $this->get_field_id('value_delay'); ?>"><?php _e('Delay (in second)','featured'); ?></label>
    <input type="number" class="widefat" name="<?php echo $this->get_field_name('value_delay'); ?>" id="<?php echo $this->get_field_id('value_delay'); ?>" value="<?php  echo $value_delay; ?>" style="margin-top:5px;">
</P>

<!-- color -->
<p>        
    <label for="<?php echo $this->get_field_id( 'icon_clr' ); ?>" style="display:block;"><?php _e( 'Icon Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'icon_clr' ); ?>" name="<?php echo $this->get_field_name( 'icon_clr' ); ?>" type="text" value="<?php echo esc_attr( $icon_clr ); ?>" />

</p>
<p>        
    <label for="<?php echo $this->get_field_id( 'title_clr' ); ?>" style="display:block;"><?php _e( 'Title Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'title_clr' ); ?>" name="<?php echo $this->get_field_name( 'title_clr' ); ?>" type="text" value="<?php echo esc_attr( $title_clr ); ?>" />

</p> 
<p>        
    <label for="<?php echo $this->get_field_id( 'value_clr' ); ?>" style="display:block;"><?php _e( 'Value Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'value_clr' ); ?>" name="<?php echo $this->get_field_name( 'value_clr' ); ?>" type="text" value="<?php echo esc_attr( $value_clr ); ?>" />

</p> 
       
        
        <?php
    }
}
?>