<?php
/**
 * Instagram custom widget and show latest phots 
 */
function featured_ing_widget() {
	register_widget( 'featured_instagram_widget' );
}
add_action( 'widgets_init', 'featured_ing_widget' );

class featured_instagram_widget extends WP_Widget {
function __construct() {
		$widget_ops = array( 'classname' => 'featured-instagram-feed', 'description' => __( 'Displays your latest Instagram photos', 'featured' ) );
		parent::__construct( 'featured-instagram-feed', __( 'Featured :Instagram', 'featured' ), $widget_ops );
	}

	function widget( $args, $instance ) {

		extract( $args, EXTR_SKIP );

		$title = empty( $instance['title'] ) ? '' : apply_filters( 'widget_title', $instance['title'] );
		$descrb = empty($instance['descrb']) ? '' : $instance['descrb'];
		$btn_txt = empty($instance['btn_txt']) ? '' : $instance['btn_txt'];
		$username = empty( $instance['username'] ) ? '' : $instance['username'];
		$limit = empty( $instance['number'] ) ? 12 : $instance['number'];
		$target = empty( $instance['target'] ) ? '_self' : $instance['target'];
		$title_color = isset($instance['title_color'])?$instance['title_color']:'#fff';
		$p_color = isset($instance['p_color'])?$instance['p_color']:'#fff';
		$btn_color = isset($instance['btn_color'])?$instance['btn_color']:'#16a085';

		echo $before_widget;
		// if ( !empty( $title ) ) { echo $before_title . $title . $after_title; };

		do_action( 'elanza_before_widget', $instance );

		if ( $username != '' ) {
		$media_array = $this->scrape_instagram( $username, $limit );
			if ( is_wp_error( $media_array ) ) {

				echo $media_array->get_error_message();

			} else {

				// filter for images only?
				if ( $images_only = apply_filters( 'elanza_images_only', FALSE ) ){
					$media_array = array_filter( $media_array, array( $this, 'images_only' ) );

				}

				// filters for custom classes
				$liclass = esc_attr( apply_filters( 'elanza_item_class', '' ) );
				$aclass = esc_attr( apply_filters( 'elanza_a_class', '' ) );
				$imgclass = esc_attr( apply_filters( 'elanza_img_class', '' ) );

				?>	
<div class="insta-col-one">
	<div class="insta-inner">
		<h2 style="color:<?php echo $title_color;?>"><?php echo $title; ?></h2>
		<p style="color:<?php echo $p_color;?>"><?php echo $descrb; ?></p>
		<a class="insta-btn" target="_blank" style="background:<?php echo $btn_color;?>" href="//instagram.com/<?php echo $username; ?>"><?php echo $btn_txt; ?></a>
	</div>
</div>   
<div class="insta-col-two"><ul class="insta-grid instagram-pics"><?php
				foreach ( $media_array as $item ) {
					// copy the else line into a new file (parts/wp-instagram-widget.php) within your theme and customise accordingly
					if ( locate_template( 'parts/wp-instagram-widget.php' ) != '' ){  
						include locate_template( 'parts/wp-instagram-widget.php' );
					}else{
						echo '<li class="insta-list '. $liclass .'"><a href="'. esc_url( $item['link'] ) .'" target="'. esc_attr( $target ) .'"  class="'. $aclass .'"><img src="'. esc_url( $item['thumbnail'] ) .'"  alt="'. esc_attr( $item['description'] ) .'" title="'. esc_attr( $item['description'] ).'"  class="'. $imgclass .'"/>
						<span class="instagram-meta">
      <span class="instagram-likes"><i class="fa fa-heart-o"></i> '. esc_attr( $item['likes'] ).'</span>
      <span class="instagram-comments"><i class="fa fa-comment-o"></i> '. esc_attr( $item['comments'] ).'</span>
    </span></a></li>';
					}
				}
				?></ul></div><?php
			}
		}

		do_action( 'elanza_after_widget', $instance );

		echo $after_widget;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array( 'title' => __( 'Instagram', 'featured' ), 'descrb' => '','btn_txt' => '','username' => '','number' => 12, 'target' => '_self','title_color' => '#fff','p_color' => '#fff','btn_color' => '#16a085' ) );
		$title    = esc_attr( $instance['title'] );
		$descrb   = esc_attr($instance['descrb'] );
		$btn_txt  = esc_attr($instance['btn_txt'] );
		$username = esc_attr( $instance['username'] );
		$number   = absint( $instance['number'] );
		$target   = esc_attr( $instance['target'] );
		$title_color   = $instance['title_color'];
		$p_color   = $instance['p_color'];
		$btn_color   = $instance['btn_color'];
		?>
		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title', 'featured' ); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></label></p>

        <p><label for="<?php echo $this->get_field_id( 'descrb' ); ?>"><?php _e( 'Description', 'featured' ); ?>: <textarea  name="<?php echo $this->get_field_name('descrb'); ?>" id="<?php echo $this->get_field_id('descrb'); ?>"  class="widefat" ><?php echo $descrb; ?></textarea></p>

        <p><label for="<?php echo $this->get_field_id( 'btn_txt' ); ?>"><?php _e( 'Button Text', 'featured' ); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'btn_txt' ); ?>" name="<?php echo $this->get_field_name( 'btn_txt' ); ?>" type="text" value="<?php echo $btn_txt; ?>" /></label></p>

		<p><label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e( 'Username', 'featured' ); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" type="text" value="<?php echo $username; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'Number of photos', 'featured' ); ?>: <input class="widefat" id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" value="<?php echo $number; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id( 'target' ); ?>"><?php _e( 'Open links in', 'featured' ); ?>:</label>
			<select id="<?php echo $this->get_field_id( 'target' ); ?>" name="<?php echo $this->get_field_name( 'target' ); ?>" class="widefat">
				<option value="_self" <?php selected( '_self', $target ) ?>><?php _e( 'Current window (_self)', 'featured' ); ?></option>
				<option value="_blank" <?php selected( '_blank', $target ) ?>><?php _e( 'New window (_blank)', 'featured' ); ?></option>
			</select>
		</p>

	<p><label for="<?php echo $this->get_field_id( 'title_color' ); ?>" style="display:block;"><?php _e( 'Title Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'title_color' ); ?>" name="<?php echo $this->get_field_name( 'title_color' ); ?>" type="text" value="<?php echo esc_attr( $title_color ); ?>" />
   </p>
   <p><label for="<?php echo $this->get_field_id( 'p_color' ); ?>" style="display:block;"><?php _e( 'Description Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'p_color' ); ?>" name="<?php echo $this->get_field_name( 'p_color' ); ?>" type="text" value="<?php echo esc_attr( $p_color ); ?>" />
   </p>
   <p><label for="<?php echo $this->get_field_id( 'btn_color' ); ?>" style="display:block;"><?php _e( 'Button Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'btn_color' ); ?>" name="<?php echo $this->get_field_name( 'btn_color' ); ?>" type="text" value="<?php echo esc_attr( $btn_color ); ?>" />
   </p>
	<?php

	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['descrb'] = $new_instance['descrb'];
		$instance['btn_txt'] = $new_instance['btn_txt'];
		$instance['username'] = trim( strip_tags( $new_instance['username'] ) );
		$instance['number'] = !absint( $new_instance['number'] ) ? 12 : $new_instance['number'];
		$instance['target'] = ( ( $new_instance['target'] == '_self' || $new_instance['target'] == '_blank' ) ? $new_instance['target'] : '_self' );
		$instance['title_color'] = $new_instance['title_color'];
		$instance['p_color'] = $new_instance['p_color'];
		$instance['btn_color'] = $new_instance['btn_color'];
		return $instance;
	}

	// based on https://gist.github.com/cosmocatalano/4544576
	function scrape_instagram( $username, $slice = 12 ) {

		$username = strtolower( $username );

		if ( false === ( $instagram = get_transient( 'instagram-media-new-'.sanitize_title_with_dashes( $username ) ) ) ) {

			$remote = wp_remote_get( 'http://instagram.com/'.trim( $username ) );

			if ( is_wp_error( $remote ) ){
				return new WP_Error( 'site_down', __( 'Unable to communicate with Instagram.', 'featured' ) );
			}

			if ( 200 != wp_remote_retrieve_response_code( $remote ) ){
				return new WP_Error( 'invalid_response', __( 'Instagram did not return a 200.', 'featured' ) );
			}

			$shards = explode( 'window._sharedData = ', $remote['body'] );
			$insta_json = explode( ';</script>', $shards[1] );
			$insta_array = json_decode( $insta_json[0], TRUE );

			if ( !$insta_array ){
				return new WP_Error( 'bad_json', __( 'Instagram has returned invalid data.', 'featured' ) );
			}

			// old style
			if ( isset( $insta_array['entry_data']['UserProfile'][0]['userMedia'] ) ) {
				$images = $insta_array['entry_data']['UserProfile'][0]['userMedia'];
				$type = 'old';
			// new style
			} else if ( isset( $insta_array['entry_data']['ProfilePage'][0]['user']['media']['nodes'] ) ) {
				$images = $insta_array['entry_data']['ProfilePage'][0]['user']['media']['nodes'];
				$type = 'new';
			} else {
				return new WP_Error( 'bad_josn_2', __( 'Instagram has returned invalid data.', 'featured' ) );
			}

			if ( !is_array( $images ) ){
				return new WP_Error( 'bad_array', __( 'Instagram has returned invalid data.', 'featured' ) );
			}

			$instagram = array();

			switch ( $type ) {
				case 'old':
					foreach ( $images as $image ) {

						if ( $image['user']['username'] == $username ) {

							$image['link']						  = preg_replace( "/^http:/i", "", $image['link'] );
							$image['images']['thumbnail']		   = preg_replace( "/^http:/i", "", $image['images']['thumbnail'] );
							$image['images']['standard_resolution'] = preg_replace( "/^http:/i", "", $image['images']['standard_resolution'] );
							$image['images']['low_resolution']	  = preg_replace( "/^http:/i", "", $image['images']['low_resolution'] );

							$instagram[] = array(
								'description'   => $image['caption']['text'],
								'link'		  	=> $image['link'],
								'time'		  	=> $image['created_time'],
								'comments'	  	=> $image['comments']['count'],
								'likes'		 	=> $image['likes']['count'],
								'thumbnail'	 	=> $image['images']['thumbnail'],
								'large'		 	=> $image['images']['standard_resolution'],
								'small'		 	=> $image['images']['low_resolution'],
								'type'		  	=> $image['type']
							);
						}
					}
				break;
				default:
					foreach ( $images as $image ) {

						$image['display_src'] = preg_replace( "/^http:/i", "", $image['display_src'] );

						if ( $image['is_video']  == true ) {
							$type = 'video';
						} else {
							$type = 'image';
						}

						$instagram[] = array(
							'description'   => __( 'Instagram Image', 'featured' ),
							'link'		  	=> '//instagram.com/p/' . $image['code'],
							'time'		  	=> $image['date'],
							'comments'	  	=> $image['comments']['count'],
							'likes'		 	=> $image['likes']['count'],
							'thumbnail'	 	=> $image['display_src'],
							'type'		  	=> $type
						);
					}
				break;
			}

			// do not set an empty transient - should help catch private or empty accounts
			if ( ! empty( $instagram ) ) {
				$instagram =  serialize( $instagram ) ;
				set_transient( 'instagram-media-new-'.sanitize_title_with_dashes( $username ), $instagram, apply_filters( 'null_instagram_cache_time', HOUR_IN_SECONDS*2 ) );
			}
		}

		if ( ! empty( $instagram ) ) {

			$instagram = unserialize(  $instagram  );
			return array_slice( $instagram, 0, $slice );

		} else {

			return new WP_Error( 'no_images', __( 'Instagram did not return any images.', 'featured' ) );

		}
	}

	function images_only( $media_item ) {

		if ( $media_item['type'] == 'image' ){
			return true;
		}

		return false;
	}
}
