<?php
/*
 *  Multi Feature Column widget
 *
 */
// register widget
add_action('widgets_init', 'featured_multifeature_column_widget');
function featured_multifeature_column_widget() {
    register_widget( 'featured_multifeature_column' );
}
// featured__multifeature_column widget class
class featured_multifeature_column extends WP_Widget {
function __construct(){
        $widget_ops = array('classname' => 'th-multifeature-column','description' => 'Show your services provided');
        parent::__construct('th-multifeature-column-widget', __('Featured : Multi Service column','featured'), $widget_ops);
    }
    function widget($args, $instance) {
        extract($args);
        // widget content
        echo $before_widget;
        $text = isset($instance['text'])?$instance['text']:'writing your description';
        $link = isset($instance['link'])?$instance['link']:'http://';
        $title = isset($instance['title'])?$instance['title']:'New Title';
        $fontaws = isset($instance['fontaws'])?$instance['fontaws']:'fa fa-car';
        $service_img = isset($instance['service_img'])?$instance['service_img']:'';
        $choose = isset($instance['choose'])?$instance['choose']:'icon';
?>
        
        <li class="multi-featured first">
            <a href="<?php echo $link; ?>"><span class="multi-featured-icon">
            <?php
if($choose=='image'){
$service_url = '';
if($service_img!=''){
          $img_path = th_image_resize($service_img, 360, 280);
          $image_url = $img_path['url'];?>
         <img src="<?php echo $service_img; ?>"/>
<?php } } ?>
<?php if($choose=='icon') { ?>
            <i class="<?php echo $fontaws; ?>"></i>
 <?php } ?>
            </span></a>
            <div class="clearfix"></div>

            <a href="<?php echo $link; ?>"><h3><span><?php echo apply_filters('widget_title', $title ); ?></h3></a>
            <p><?php echo $text; ?></p>
        </li>

<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['fontaws'] = $new_instance['fontaws'];
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['text'] = $new_instance['text'];
        $instance['link'] = $new_instance['link'];
        $instance['service_img'] = $new_instance['service_img'];
         $instance['choose'] = $new_instance['choose'];
        return $instance;
    }

    function form($instance) {
         if( $instance) {
        $title = esc_attr($instance['title']);
        $fontaws = esc_attr($instance['fontaws']);
        $text = $instance['text'];
        $link = $instance['link'];
         $service_img = $instance['service_img'];
        $choose = $instance['choose'];

    } else {
        $title = '';
        $fontaws = 'fa fa-car';
        $text = '';
        $link = 'http://';
        $service_img = '';
        $choose = 'icon';
    }
    ?>
        <div class="clearfix"></div>
        <p>
       <label for="<?php echo $this->get_field_id('choose'); ?>"><?php _e('Choose Option','featured'); ?></label><br/>
       <input <?php if($choose=='icon'){ ?>checked <?php } ?> style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('choose'); ?>"  value="icon" <?php checked( $choose, 'icon' ); ?> >Icon
       <input style="margin-right:5px;margin-left:5px;" type="radio" id="role_info" class="widefat" name="<?php echo $this->get_field_name('choose'); ?>"  value="image" <?php checked( $choose, 'image' ); ?> >image</p>
        <!-- icon -->
        <label for="<?php echo $this->get_field_id('fontaws'); ?>"><?php _e('Font Awesome Icon','featured'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('fontaws'); ?>" id="<?php echo $this->get_field_id('fontaws'); ?>" value="<?php  echo $fontaws; ?>" style="margin-top:5px;">
        <!-- image -->
        <p><label for="<?php echo $this->get_field_id('service_img'); ?>"><?php _e('Image','featured'); ?></label>
                <?php
            if ( isset($instance['service_img']) && $instance['service_img'] != '' ) :
                echo '<img class="'.$this->get_field_id('service_img').'" src="' . $instance['service_img'] . '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
            endif;
        ?>
        <input type="text" class="widefat custom_media_url" name="<?php echo $this->get_field_name('service_img'); ?>" id="<?php echo $this->get_field_id('service_img'); ?>" value="<?php  echo $service_img; ?>" style="margin-top:5px;">
        <input type="button" class="button button-primary custom_media_button" id="<?php echo $this->get_field_id('service_img'); ?>_button" name="<?php echo $this->get_field_name('service_img'); ?>" value="Upload Image" style="margin-top:5px;" /></p>
        <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title','featured'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php  echo $title; ?>" style="margin-top:5px;">
        
        <label for="<?php echo $this->get_field_id('text'); ?>"><?php _e('Description','featured'); ?></label>
        <textarea  name="<?php echo $this->get_field_name('text'); ?>" id="<?php echo $this->get_field_id('text'); ?>"  class="widefat" ><?php echo $text; ?></textarea>
        
        <label for="<?php echo $this->get_field_id('link'); ?>"><?php _e('Link','featured'); ?> ex: http://www.abc.com</label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('link'); ?>" id="<?php echo $this->get_field_id('link'); ?>" value="<?php  echo $link; ?>" style="margin-top:5px;">
        <?php
    }
}