<?php
/*
 *  price Feature Column widget
 *
 */

// register widget
add_action('widgets_init', 'featured_price_widget');
function featured_price_widget() {
    register_widget( 'featured_price' );
}
// add admin scripts
add_action('admin_enqueue_scripts', 'featured_price_enqueue');
function featured_price_enqueue() {
    wp_enqueue_media();
    wp_enqueue_script('featured_price_script', get_template_directory_uri() . '/js/widget.js', false, '1.0', true);
}
// featured_price widget class
class featured_price extends WP_Widget {
 function __construct(){
        $widget_ops = array('classname' => 'th-price',
            'description' => 'Show your pricing table');
        parent::__construct('price-widget', __('Featured : Price Widget','featured'), $widget_ops);
    }

    function widget($args, $instance) {
        extract($args);

        // widget content
        echo $before_widget;

        $title = isset($instance['title'])?$instance['title']:'New Title';
        $price = isset($instance['price'])?$instance['price']:'';
        $currency = isset($instance['currency'])?$instance['currency']:'';
        $pricemeta = isset($instance['pricemeta'])?$instance['pricemeta']:'';
        $buttonlevel = isset($instance['buttonlevel'])?$instance['buttonlevel']:'Button-Level';
        $buttonlink = isset($instance['buttonlink'])?$instance['buttonlink']:'http://';
        $item1 = isset($instance['item1'])?$instance['item1']:'';
        $item2 = isset($instance['item2'])?$instance['item2']:'';
        $item3 = isset($instance['item3'])?$instance['item3']:'';
        $item4 = isset($instance['item4'])?$instance['item4']:'';
        $item5 = isset($instance['item5'])?$instance['item5']:'';
        $item6 = isset($instance['item6'])?$instance['item6']:'';
        $item7 = isset($instance['item7'])?$instance['item7']:'';
        $item8 = isset($instance['item8'])?$instance['item8']:'';
        $item9 = isset($instance['item9'])?$instance['item9']:'';
        $item10 = isset($instance['item10'])?$instance['item10']:'';
        $featureditem = isset($instance['featureditem'])?$instance['featureditem']:'';
        $color = isset($instance['color'])?$instance['color']:'';
        $title_color = isset($instance['title_color'])?$instance['title_color']:'';
        $item_color = isset($instance['item_color'])?$instance['item_color']:'';
        $bg_color = isset($instance['bg_color'])?$instance['bg_color']:'';
        $border_color = isset($instance['border_color'])?$instance['border_color']:'';
        $price_color = isset($instance['price_color'])?$instance['price_color']:'';
?>
<li class="multi-price first">
   <?php if($featureditem !=='recommend') {?>
      <div class="plan" style="background-color:<?php echo $bg_color;?>">
      <h3 style="color:<?php echo $title_color; ?>" class="plan-title"><?php echo apply_filters('widget_title', $title ); ?></h3>
      <p class="plan-price" style="color: <?php echo $price_color; ?>;"><?php echo $currency; ?><?php echo $price; ?> <span class="plan-unit"><?php echo $pricemeta; ?> </span></p>
      <ul  class="plan-features">
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item1 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item2 ?></span></li>
        <li class="plan-feature"><span  style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item3 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item4 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item5 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item6 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item7 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item8 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item9 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item10 ?></span></li>
      </ul>
      <a href="<?php echo $buttonlink; ?>" style="background-color: <?php echo $color; ?>;" class="plan-button"><?php echo $buttonlevel; ?></a>
    </div>
 <?php } else { ?>

    <div class="plan plan-highlight" style="border: 2px solid <?php echo $border_color; ?>;background-color:<?php echo $bg_color;?>">
      <p class="plan-recommended" style="background-color: <?php echo $border_color; ?>;"><?php _e('Recommended','featured'); ?></p>
      <h3 style="color:<?php echo $title_color;?>" class="plan-title"><?php echo apply_filters('widget_title', $title ); ?></h3>
      <p class="plan-price" style="color: <?php echo $price_color; ?>;"><?php echo $currency; ?><?php echo $price; ?> <span class="plan-unit"><?php echo $pricemeta; ?> </span></p>
      <ul class="plan-features">
         <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item1 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item2 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item3 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item4 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item5 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item6 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item7 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item8 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item9 ?></span></li>
        <li class="plan-feature"><span style="color:<?php echo $item_color; ?>" class="plan-feature-name"><?php echo $item10 ?></span></li>
      </ul>
      <a href="<?php echo $buttonlink; ?>" class="plan-button" style="background-color: <?php echo $color; ?>;"><?php echo $buttonlevel; ?></a>
    </div>
<?php } ?>


            </li> 
<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['price'] = $new_instance['price'];
        $instance['currency'] = $new_instance['currency'];
        $instance['pricemeta'] = $new_instance['pricemeta'];
        $instance['buttonlevel'] = $new_instance['buttonlevel'];
        $instance['buttonlink'] = $new_instance['buttonlink'];
        $instance['item1'] = $new_instance['item1'];
        $instance['item2'] = $new_instance['item2'];
        $instance['item3'] = $new_instance['item3'];
        $instance['item4'] = $new_instance['item4'];
        $instance['item5'] = $new_instance['item5'];
        $instance['item6'] = $new_instance['item6'];
        $instance['item7'] = $new_instance['item7'];
        $instance['item8'] = $new_instance['item8'];
        $instance['item9'] = $new_instance['item9'];
        $instance['item10'] = $new_instance['item10'];
        $instance['featureditem'] = $new_instance['featureditem'];
        $instance['color'] = $new_instance['color'];
        $instance['title_color'] = $new_instance['title_color'];
        $instance['item_color'] = $new_instance['item_color'];
        $instance['bg_color'] = $new_instance['bg_color'];
        $instance['border_color'] = $new_instance['border_color'];
        $instance['price_color'] = $new_instance['price_color'];
        return $instance;
    }

    function form($instance) {
         if( $instance) {
        $title = esc_attr($instance['title']);
        $price = $instance['price'];
        $currency = $instance['currency'];
        $pricemeta = $instance['pricemeta'];
        $buttonlevel = $instance['buttonlevel'];
        $buttonlink = $instance['buttonlink'];
        $item1 = $instance['item1'];
        $item2 = $instance['item2'];
        $item3 = $instance['item3'];
        $item4 = $instance['item4'];
        $item5 = $instance['item5'];
        $item6 = $instance['item6'];
        $item7 = $instance['item7'];
        $item8 = $instance['item8'];
        $item9 = $instance['item9'];
        $item10 = $instance['item10'];
        $featureditem = $instance['featureditem'];
        $color = $instance['color'];
        $title_color = $instance['title_color'];
        $item_color = $instance['item_color'];
        $bg_color = $instance['bg_color'];
        $border_color = $instance['border_color'];
        $price_color = $instance['price_color'];

    } else {
        $title = '';
        $price = '';
        $currency = '';
        $pricemeta = 'Per Month';
        $buttonlevel = '';
        $buttonlink = '';
        $item1 = '';
        $item2 = '';
        $item3 = '';
        $item4 = '';
        $item5 = '';
        $item6 = '';
        $item7 = '';
        $item8 = '';
        $item9 = '';
        $item10 = '';
        $featureditem = '';
        $color = '';
        $title_color = '';
        $item_color = '';
        $bg_color = '';
        $border_color = '';
        $price_color = '';
    }
    ?>
        <div class="clearfix"></div>

        <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title','featured'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php  echo $title; ?>" style="margin-top:5px;">
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Price','featured'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('price'); ?>" id="<?php echo $this->get_field_id('price'); ?>" value="<?php  echo $price; ?>" style="margin-top:5px;">
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('currency'); ?>"><?php _e('Currency','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('currency'); ?>" id="<?php echo $this->get_field_id('currency'); ?>" value="<?php  echo $currency; ?>" style="margin-top:5px;">
        </p>

        <p>
        <label for="<?php echo $this->get_field_id('pricemeta'); ?>"><?php _e('Price-Meta','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('pricemeta'); ?>" id="<?php echo $this->get_field_id('pricemeta'); ?>" value="<?php  echo $pricemeta; ?>" style="margin-top:5px;">
        </p>
        <p>
        <label for="<?php echo $this->get_field_id('buttonlevel'); ?>"><?php _e('Button-Level','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('buttonlevel'); ?>" id="<?php echo $this->get_field_id('buttonlevel'); ?>" value="<?php  echo $buttonlevel; ?>" style="margin-top:5px;">
       </p>
       <p>
       <label for="<?php echo $this->get_field_id('buttonlink'); ?>"><?php _e('Button-Link','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('buttonlink'); ?>" id="<?php echo $this->get_field_id('buttonlink'); ?>" value="<?php  echo $buttonlink; ?>" style="margin-top:5px;">
      </p>
      <p>
      <label for="<?php echo $this->get_field_id('item1'); ?>"><?php _e('Item1','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item1'); ?>" id="<?php echo $this->get_field_id('item1'); ?>" value="<?php  echo $item1; ?>" style="margin-top:5px;">
      </p>
      <p>
<label for="<?php echo $this->get_field_id('item2'); ?>"><?php _e('Item2','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item2'); ?>" id="<?php echo $this->get_field_id('item2'); ?>" value="<?php  echo $item2; ?>" style="margin-top:5px;">
</p>
<p>

<label for="<?php echo $this->get_field_id('item3'); ?>"><?php _e('Item3','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item3'); ?>" id="<?php echo $this->get_field_id('item3'); ?>" value="<?php  echo $item3; ?>" style="margin-top:5px;">
</p>
<p>
<label for="<?php echo $this->get_field_id('item4'); ?>"><?php _e('Item4','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item4'); ?>" id="<?php echo $this->get_field_id('item4'); ?>" value="<?php  echo $item4; ?>" style="margin-top:5px;">
       </p>
       <p>
<label for="<?php echo $this->get_field_id('item5'); ?>"><?php _e('Item5','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item5'); ?>" id="<?php echo $this->get_field_id('item5'); ?>" value="<?php  echo $item5; ?>" style="margin-top:5px;">
</p>
<p>
<label for="<?php echo $this->get_field_id('item6'); ?>"><?php _e('Item6','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item6'); ?>" id="<?php echo $this->get_field_id('item6'); ?>" value="<?php  echo $item6; ?>" style="margin-top:5px;">
</p>
<p>
<label for="<?php echo $this->get_field_id('item7'); ?>"><?php _e('Item7','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item7'); ?>" id="<?php echo $this->get_field_id('item7'); ?>" value="<?php  echo $item7; ?>" style="margin-top:5px;">
       </p>
<p>
<label for="<?php echo $this->get_field_id('item8'); ?>"><?php _e('Item8','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item8'); ?>" id="<?php echo $this->get_field_id('item8'); ?>" value="<?php  echo $item8; ?>" style="margin-top:5px;">
       </p>
       <p>
<label for="<?php echo $this->get_field_id('item9'); ?>"><?php _e('Item9','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item9'); ?>" id="<?php echo $this->get_field_id('item9'); ?>" value="<?php  echo $item9; ?>" style="margin-top:5px;">
       </p>
       <p>
<label for="<?php echo $this->get_field_id('item10'); ?>"><?php _e('Item10','featured'); ?></label>
       <input type="text" class="widefat" name="<?php echo $this->get_field_name('item10'); ?>" id="<?php echo $this->get_field_id('item10'); ?>" value="<?php  echo $item10; ?>" style="margin-top:5px;">
</p>
<p><label for="<?php echo $this->get_field_id( 'title_color' ); ?>" style="display:block;"><?php _e( 'Title Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'title_color' ); ?>" name="<?php echo $this->get_field_name( 'title_color' ); ?>" type="text" value="<?php echo esc_attr( $title_color ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'price_color' ); ?>" style="display:block;"><?php _e( 'Price Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'price_color' ); ?>" name="<?php echo $this->get_field_name( 'price_color' ); ?>" type="text" value="<?php echo esc_attr( $price_color ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'item_color' ); ?>" style="display:block;"><?php _e( 'Item Color','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'item_color' ); ?>" name="<?php echo $this->get_field_name( 'item_color' ); ?>" type="text" value="<?php echo esc_attr( $item_color ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'color' ); ?>" style="display:block;"><?php _e( 'Button Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'color' ); ?>" name="<?php echo $this->get_field_name( 'color' ); ?>" type="text" value="<?php echo esc_attr( $color ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'bg_color' ); ?>" style="display:block;"><?php _e( 'Background Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'bg_color' ); ?>" name="<?php echo $this->get_field_name( 'bg_color' ); ?>" type="text" value="<?php echo esc_attr( $bg_color ); ?>" />
</p>
<p><label for="<?php echo $this->get_field_id( 'border_color' ); ?>" style="display:block;"><?php _e( 'Recommend Border Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'border_color' ); ?>" name="<?php echo $this->get_field_name( 'border_color' ); ?>" type="text" value="<?php echo esc_attr( $border_color ); ?>" />
</p>

<p>
<label for="<?php echo $this->get_field_id('featureditem'); ?>"><?php _e('Recommend','featured'); ?></label>
<input type="checkbox" class="widefat" name="<?php echo $this->get_field_name('featureditem'); ?>" id="<?php echo $this->get_field_id('featureditem'); ?>" value="recommend" >
</p>


        <?php
    }
}
?>