<?php
/*
 *  Skill widget
 */
// register widget
add_action('widgets_init', 'featured_skill_widget');
function featured_skill_widget() {
    register_widget( 'featured_skill' );
}
// add admin scripts
add_action('admin_enqueue_scripts', 'featured_skill_enqueue');
function featured_skill_enqueue() {
    wp_enqueue_media();
    wp_enqueue_style( 'wp-color-picker' ); 
    wp_enqueue_script('featured_skill_script', get_template_directory_uri() . '/js/widget.js', array( 'jquery', 'wp-color-picker' ), false, '1.0', true);
}
// th_social widget class
class featured_skill extends WP_Widget {
function __construct() {
        $widget_ops = array('classname' => 'featured_skill','description' => 'Show your Skill');
        parent::__construct('skill-widget', __('Featured : Skill Widget','featured'), $widget_ops);
    }

    function widget($args, $instance) {
        extract($args);
        // widget content
        echo $before_widget;
        $title = isset($instance['title'])?$instance['title']:'Title';
        $percent = isset($instance['percent'])?$instance['percent']:'';
        $clr = isset($instance['clr'])?$instance['clr']:'#999';
        $titleclr = isset($instance['titleclr'])?$instance['titleclr']:'#000';
?>
      <div class="chart" data-bar-color="<?php echo $clr; ?>" data-percent="<?php echo $percent; ?>">
      <p class="title" style="color:<?php echo $titleclr; ?>;"><?php echo $title; ?></p>
      <p><?php echo $percent; ?></p>
      </div>
<?php
        echo $after_widget;

    }

    function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        $instance['percent'] = $new_instance['percent'];
        $instance['clr'] = $new_instance['clr'];
        $instance['titleclr'] = $new_instance['titleclr'];
        return $instance;
    }
    function form($instance) {
         if( $instance) {
        $title = $instance['title'];
        $percent = $instance['percent'];
        $clr = $instance['clr'];
        $titleclr = $instance['titleclr'];
    } else {
        $title = 'Title';
        $percent = '';
        $clr = '#10d1b7';
        $titleclr = '#000';
    }
    ?>
        <div class="clearfix"></div>
<p>        
    <label for="<?php echo $this->get_field_id( 'clr' ); ?>" style="display:block;"><?php _e( 'Bar Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'clr' ); ?>" name="<?php echo $this->get_field_name( 'clr' ); ?>" type="text" value="<?php echo esc_attr( $clr ); ?>" />

</p>
<p>        
    <label for="<?php echo $this->get_field_id( 'titleclr' ); ?>" style="display:block;"><?php _e( 'Title Color:','featured' ); ?></label> 
    <input class="widefat color-picker" id="<?php echo $this->get_field_id( 'titleclr' ); ?>" name="<?php echo $this->get_field_name( 'titleclr' ); ?>" type="text" value="<?php echo esc_attr( $titleclr ); ?>" />

</p> 
       <P> <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Skill Title','featured'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php  echo $title; ?>" style="margin-top:5px;">
        </P>
       <P> 
        <label for="<?php echo $this->get_field_id('percent'); ?>"><?php _e('Percentage','featured'); ?></label>
        <input type="text" class="widefat" name="<?php echo $this->get_field_name('percent'); ?>" id="<?php echo $this->get_field_id('percent'); ?>" value="<?php  echo $percent; ?>" style="margin-top:5px;">
        </P>
        
        <?php
    }
}
?>