<?php
 /**
 * Enable support for Post Thumbnails on posts and pages.
 * @param  
 * @return mixed|string
 */
    add_theme_support('post-thumbnails');
    /* Set the image size by cropping the image */
    add_image_size( 'featured-custom-thumb', 800, 450, true );
    add_filter('deprecated_constructor_trigger_error', '__return_false');
      
if ( ! function_exists( 'featured_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function featured_the_custom_logo() {
    if ( function_exists( 'the_custom_logo' ) ) {
        the_custom_logo();
    }
}
endif;
// only post format search
function featured_search_filter($query) {
	if ($query->is_search) {
	$query->set('post_type', 'post');
	}
	return $query;
}
	add_filter('pre_get_posts','featured_search_filter');

/*
 * Custom header menu
*/
function add_menuclass($ulclass) {
   return preg_replace('/<a /', '<a class="page-scroll"', $ulclass);
}
add_filter('wp_nav_menu','add_menuclass');

add_action( 'after_setup_theme', 'featured_register_theme_menu' );
function featured_register_theme_menu() {
  register_nav_menu( 'primary', __( 'Front Menu', 'featured' ) );
}
function featured_nav_menu(){
    	wp_nav_menu( array('theme_location' => 'primary', 
    	'container' => false, 
    	'menu_class' => 'menu', 
    	'menu_id'         => 'menu',
    	'fallback_cb'     => 'featured_wp_page_menu'));
    }

function featured_wp_page_menu()
{
    echo '<ul class="menu" id="menu">';
    wp_list_pages(array('title_li' => ''));
    echo '</ul>';
}
// pagemenu
add_action( 'after_setup_theme', 'featured_register_secondary_menu' );
function featured_register_secondary_menu() {
register_nav_menu( 'page', __( 'Main Menu', 'featured' ) );
}
function featured_secnd_menu(){
        wp_nav_menu( array('theme_location' => 'page', 
        'container' => false, 
        'menu_class' => 'menu', 
        'menu_id'         => 'menu',
        'fallback_cb'     => 'featured_wp_secnd_menu'));
    }

function featured_wp_secnd_menu()
{
    echo '<ul class="menu" id="menu">';
    wp_list_pages(array('title_li' => ''));
    echo '</ul>';
}
// full thumb get post content
function featured_full_post_image(){
   $img_source = '';
   global $post;
   $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
    if (isset($matches [1] [0])) {
        $img_source = $matches [1] [0];
    }
     if($img_source!=''){
         $permalink = get_permalink($post->ID);
        print "<a href='$permalink'><img src='$img_source' class='postimg' alt='Post Image'/></a>";
  }

}
// post content image thumbnail
function featured_post_image($width, $height) {
    $w = $width;
    $h = $height;
    global $post;
    //This is required to set to Null
    $img_source = '';
    $permalink = get_permalink($post->ID);
    $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);

    if (isset($matches [1] [0])) {
        $img_source = $matches [1] [0];
    }
    if($img_source!=''){
    $img_path = th_image_resize($img_source, $w, $h);
    if (!empty($img_path['url'])) {
        print "<a href='$permalink'><img src='$img_path[url]' class='postimg' alt='Post Image'/></a>";
    }
  }
}
/**
 * Display navigation to next/previous post when applicable.
 *
 * @since ThemeHunk 1.0
 */
if ( ! function_exists( 'featured_post_nav' ) ) :
function featured_post_nav() {
    // Don't print empty markup if there's nowhere to navigate.
    ?>
    <nav class="navigation post-navigation" role="navigation">
        <div class="nav-links">
           <?php
              the_posts_navigation( array(
                'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( '%title', 'featured' ) . '</span> ' ,
                'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( '%title', 'featured' )));
                //%title
            ?>
        </div><!-- .nav-links -->
    </nav><!-- .navigation -->
    <?php
}
endif;
/**
 * custom post excerpt
 */
function featured_get_th_custom_excerpt(){
$excerpt = get_the_content();
$excerpt = preg_replace(" (\[.*?\])",'',$excerpt);
$excerpt = strip_shortcodes($excerpt);
$excerpt = strip_tags($excerpt);
$excerpt = substr($excerpt, 0, 100);
$excerpt = substr($excerpt, 0, strripos($excerpt, " "));
$excerpt = trim(preg_replace( '/\s+/', ' ', $excerpt));
//$return =  '<p>'.$excerpt.'</p><span class="read-more"><a href="'.get_permalink().'" >Read More</a></span>';
return '<p>'.$excerpt.'</p>';
}
// related post
function featured_get_related_sigle_post() {
    global $post;
     $args = array(
               'category__in' => wp_get_post_categories($post->ID),
               'post__not_in' => array($post->ID),
                'post_status' => array('publish'),                         
                'meta_key' => '_thumbnail_id',
                'posts_per_page' => 3,
            );
        $my_query = new WP_Query($args);
        if ($my_query->have_posts()) {
            while ($my_query->have_posts()) : $my_query->the_post();
                ?>
               <li class="sl-related-thumbnail">
                    <div class="sl-related-thumbnail-size">
                        <?php
                       if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
                            ?>
                            <a href="<?php esc_url(the_permalink()); ?>">
                            <?php the_post_thumbnail('custom-releted-post-thumb',array('class' => "postimg listing-thumbnail")); ?></a>
                            <?php
                        } else {
                            ?><a href="<?php esc_url(the_permalink()); ?>"><?php featured_post_image(358, 205); ?></a>
                        <?php } ?>
                        </div>
                    <h3><a href="<?php esc_url(the_permalink()); ?>"><?php the_title(); ?></a></h3>
                </li>
                <?php
            endwhile;
        }
    wp_reset_query(); // to use the original query again
}
/*auto width and height removed*/
add_filter( 'post_thumbnail_html', 'featured_remove_thumbnail_dimensions', 10, 3 );
function featured_remove_thumbnail_dimensions( $html, $post_id, $post_image_id ) {
   $html = preg_replace( '/(width|height)=\"\d*\"\s/', "", $html );
   return $html;
}
function featured_get_my_url() {
    if ( ! preg_match( '/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches ) ){
        return false;
    }
    return esc_url_raw( $matches[1] );
}

/*hexa to rgba convert*/
function featured_hex2rgba($color, $opacity = false) {
$default = 'rgb(0,0,0)';
 //Return default if no color provided
 if(empty($color)){
          return $default; 
 }
 //Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
         $color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        //Check if opacity is set(rgba or rgb)
        if($opacity){
         if(abs($opacity) > 1){
         $opacity = 1.0;
     }
         $output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
         $output = 'rgb('.implode(",",$rgb).')';
        }
 
        //Return rgb(a) color string
        return $output;
}
/*Number of comment*/
function featured_comment_number(){
 comments_popup_link(__('No Comment','featured'), __('1 Comment','featured'), __('% Comments','featured')); 
 }
/**
  * dynamic social link
  */
function featured_social_links(){
?>
<ul>
<?php if($f_link = get_theme_mod('f_link')) : ?>
<li><a target='_blank' href="<?php echo $f_link; ?>" ><i class='fa fa-facebook'></i></a></li><?php endif; ?>
<?php if($t_link = get_theme_mod('t_link')) : ?><li><a target='_blank' href="<?php echo $t_link; ?>" ><i class='fa fa-twitter'></i></a></li><?php endif; ?>
<?php if($g_link = get_theme_mod('g_link')) : ?><li><a target='_blank' href="<?php echo $g_link; ?>" ><i class='fa fa-google-plus'></i></a></li><?php endif; ?>
<?php if($l_link = get_theme_mod('l_link')) : ?><li><a target='_blank' href="<?php echo $l_link; ?>" ><i class='fa fa-linkedin'></i></a></li><?php endif; ?>
<?php if($p_link = get_theme_mod('p_link')) : ?><li><a target='_blank' href="<?php echo $p_link; ?>" ><i class='fa fa-pinterest'></i></a></li><?php endif; ?>
    </ul>
<?php
  }
/*
 *   Mobile device detection
 */
if( !function_exists('featured_mobile_user_agent_switch') ){
    function featured_mobile_user_agent_switch(){
        $device = '';
        
        if( stristr($_SERVER['HTTP_USER_AGENT'],'ipad') ) {
            $device = "ipad";
        } else if( stristr($_SERVER['HTTP_USER_AGENT'],'iphone') || strstr($_SERVER['HTTP_USER_AGENT'],'iphone') ) {
            $device = "iphone";
        } else if( stristr($_SERVER['HTTP_USER_AGENT'],'blackberry') ) {
            $device = "blackberry";
        } else if( stristr($_SERVER['HTTP_USER_AGENT'],'android') ) {
            $device = "android";
        }

        if( $device ) {
            return $device; 
        }else{
            return false;
        }
    }
}
// ----------------------------//
// portfolio function
//-----------------------------//
add_action( 'init', 'featured_gallery_post_type' );
function featured_gallery_post_type() {
register_post_type('portfolio',
      array(
      'labels' => array(
      'name' => __( 'Portfolio Gallery','featured' ),
      'singular_name' => __( 'Portfolio Gallery','featured' ),
      'supports' => array( 'title', 'editor', 'thumbnail' ),
      'taxonomy' => array('category')),
      'public' => true,
      'has_archive' => true,
      'supports' => array('title','editor','author','thumbnail')
      )
  );
}
//add category
add_action('init', 'featured_add_default_category');
function featured_add_default_category() {
register_taxonomy_for_object_type('category', 'portfolio');
}
function pfl_get_category_list($perpage = 9){ 
$args = array(
  'type'                     => 'portfolio',
  'child_of'                 => 0,
  'parent'                   => '',
  'orderby'                  => 'name',
  'order'                    => 'ASC',
  'hide_empty'               => 1,
  'exclude'                  => '',
  'include'                  => get_theme_mod('our_port_category',0),
  );
$cats = get_categories($args);
$i=1;
   // $categlist = '<li><button id="filters" class="pl-portfolio active is-checked" data-filter="*">'.__("All","oneline").'</button></li>';
$categlist = $categlistall = '';
foreach ($cats as $cat){
if (stripos($cat->name, "all") !== false) {
     $categlistall = '<li><a id="filters" class="button filter'.$i.'" data-filter=".' . $cat->slug . '" post_count="'.$cat->count.'">' . $cat->name . '</a></li>'; 
continue;
}
    $categlist .= '<li><a id="filters" class="button filter'.$i.'" data-filter=".' . $cat->slug . '" post_count="'.$cat->count.'">' . $cat->name . '</button></li>'; 

    $i++;
} 
 $return = '<ul class="featured-filter button-group filters-button-group" plcatlist="'.$i.'" pfl_perpage = "'.$perpage.'" >';
 $return .= $categlistall . $categlist;
 $return .= '</ul>';
 return $return;
}

function featured_get_cat_slug($cat_id) {
    $cat_id = (int) $cat_id;
    $category = get_category($cat_id);
    return $category->slug;
}

function pfl_portfolio_ajax(){
         $cat_slug = $_POST['cate_slug'];
         $perpage_post = get_theme_mod('our_port_default_images',8);
          $loop = new WP_Query( array(
          'suppress_filters' => true,
          'post_type' => 'portfolio',
          'category_name' => $cat_slug,
          'posts_per_page' => $perpage_post,
          'paged'     => $_POST['post_page'],
          'meta_query' => array(array( 'key' => '_thumbnail_id')),
          ));
          if ($loop->have_posts()) {
          $i = 0;
          while ($loop->have_posts()) : $loop->the_post();
          echo '<li class="portfolio-list '.$cat_slug.'">'?>
<figure class="portfolio-fig">
<?php if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) { ?>
<?php the_post_thumbnail(); ?>
<?php } ?>
  <figcaption>
    <h3><?php the_title(); ?></h3>
    <p><?php the_category(', '); ?></p>
  </figcaption>
<a class="featured-gallery-show" href="<?php esc_url(the_permalink()); ?>">
<span class="icon-shw">
 <i class="fa fa-search" aria-hidden="true"></i>
</span>
</a>
</figure>
</li>
<?php 
    endwhile; 
}else{
    echo '1';
}
wp_reset_postdata();

die();
}
add_action('wp_ajax_nopriv_pfl_portfolio_ajax', 'pfl_portfolio_ajax'); // load more
add_action('wp_ajax_pfl_portfolio_ajax', 'pfl_portfolio_ajax');

// ----------------------------//
// layout choose function
//-----------------------------//
if (!function_exists( 'featured_blog_layout' ) ) {
    function featured_get_layout( $default = 'right' ) {
    $layout = get_theme_mod( 'featured_blog_layout', $default );
    return apply_filters( 'featured_get_layout', $layout, $default );
    }
}
if (!function_exists( 'featured_woo_layout' ) ) {
    function featured_woo_get_layout( $default = 'right' ) {
    $layout = get_theme_mod( 'featured_woo_layout', $default );
    return apply_filters( 'featured_woo_get_layout', $layout, $default );
    }
}
//WOO-SHOP-PAGE-PRODUCT-SHOW
// Change number or products per row to 3
add_filter('loop_shop_columns', 'loop_columns');
if (!function_exists('loop_columns')) {
    function loop_columns() {
        return 3; // 3 products per row
    }
}
add_filter( 'woocommerce_output_related_products_args', 'jk_related_products_args' );
function jk_related_products_args( $args ) {
$args['posts_per_page']     = 3; // 4 related products
$args['columns']            = 3; // arranged in columns

return $args;
}

?>